      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             AKHC501.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ź԰
      *  ݡͥ̾  : 䵡
      *              : 
      *      ȼ        
      *  05/02/15    NACL¿Ǽ  
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev               
      * 01.00.01     NACL-¿Ǽ  05/06/03  ͥɲ
      * 01.00.02     NACL-¿Ǽ  06/01/25  ̥Ƚɲ
      * 01.00.03     NACL-¿Ǽ  06/01/25  MONFUNCѹ
      * 03.05.00     NACL-¿Ǽ  07/04/XX  롼׿б
      * 03.05.00     NACL-¿Ǽ  07/05/22  ưɲ
      * 04.01.00     NACL-¿Ǽ  07/11/22  ྦ̾б
      * 04.05.00     NACL-¿Ǽ  09/06/XX  ̾б
      * 04.06.00     NACL-¿Ǽ  11/02/22  ˡб
      *****************************************************************
      *
      *
       ENVIRONMENT             DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.
      *
      *    ѥǡ
           SELECT  PRT-FILE        ASSIGN  HC01PARA
                                   FILE    STATUS  IS  STS-PARA.
      *
       DATA                    DIVISION.
       FILE                        SECTION.
      *
      *    ѥǡ
       FD  PRT-FILE.
           COPY    "HC501.INC".
      *
       WORKING-STORAGE             SECTION.
      *
      *     ѥǡ ̾ΰ 
           COPY    "CPCOMMONPRT.INC".
      *
      *    ե饰ΰ
       01  STS-AREA.
           03  STS-PARA            PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-END             PIC 9(01).
           03  FLG-PARA            PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-ORDERPRT        PIC 9(01).
           03  FLG-PTNYUINRRK      PIC 9(01).
           03  FLG-TENSU           PIC 9(01).
           03  FLG-SYSKANRI        PIC 9(01).
      *
           03  FLG-OK              PIC 9(01).
           03  FLG-SP              PIC 9(01).
      *---(01.00.17) LINE ADD START ------------------------------------
           03  FLG-DATA            PIC 9(01).
      *---(01.00.17) LINE ADD END   ------------------------------------
           03  FLG-KIZAI           PIC 9(01).
           03  FLG-KETA5           PIC 9(01).
      *
      *    źΰ
       01  IDX-AREA.
           03  IDX                 PIC 9(04).
           03  IDX2                PIC 9(02).
           03  IDXS                PIC 9(04).
           03  IDX-S               PIC 9(04).
           03  IDX-SMAX            PIC 9(04).
           03  IDX-H               PIC 9(04).
           03  IDX-MAX             PIC 9(04).
           03  IDX-B               PIC 9(04).
           03  IDX-P               PIC 9(04).
           03  IDX-P2              PIC 9(04).
      *
           03  IDX-PAGE            PIC 9(04).
           03  IDX-LINE            PIC 9(04).
      *
           03  IDXM                PIC 9(02).
      *
           03  KETA                PIC 9(04).
           03  IDX-B2              PIC 9(04).
      *
      *    ƥΰ
       01  SYS-AREA.
           03  SYS-TIME            PIC 9(08).
      *
      *    ΰ
       01  WRK-AREA.
      *
           03  WRK-PAGE            PIC 9(03).
      *
           03  WRK-PRTKBN          PIC  X(01).
           03  WRK-DRCD            PIC  X(05).
      *
           03  WRK-SRYCD           PIC X(09).
           03  WRK-SRYYMD          PIC X(08).
      *
           03  WRK-SYMD.
               05  WRK-SYY         PIC 9(04).
               05  WRK-SMM         PIC 9(02).
               05  WRK-SDD         PIC 9(02).
           03  WRK-WYMD.
               05  WRK-WYY         PIC X(03).
               05  WRK-WMM         PIC 9(02).
               05  WRK-WDD         PIC 9(02).
           03  WRK-HENYMDG         PIC X(22).
      *
           03  WRK-AGE-ZZ9X.
               05  WRK-AGE-ZZ9             PIC ZZ9.
           03  WRK-AGE-Z9X.
               05  WRK-AGE-Z9              PIC Z9.
           03  WRK-AGE-HEN.
               05  WRK-AGE-N               PIC X(04).
               05  WRK-AGE-MEIN            PIC X(04).
           03  WRK-AGE-HEN-R               REDEFINES   WRK-AGE-HEN.
               05  WRK-AGE-N2              PIC X(06).
               05  WRK-AGE-MEIN2           PIC X(02).
      *
           03  WRK-SURYO           PIC 9(05)V9(05).
           03  WRK-SURYO-R         REDEFINES   WRK-SURYO.
               05  WRK-SURYO-S1    PIC 9(05).
               05  WRK-SURYO-S2    PIC 9(05).
      *
           03  WRK-SURYO-X.
               05  WRK-SURYO-Z1    PIC ZZZZ9.
               05  WRK-SURYO-Z2    PIC X(01).
               05  WRK-SURYO-Z3    PIC ZZZZZ.
           03  WRK-SURYO-N.
               05  WRK-SURYO-N-22      PIC X(04).
               05  WRK-SURYO-N-18      PIC X(18).
      *
           03  WRK-DAY                 PIC 9(02).
           03  WRK-KAISU               PIC 9(03).
           03  WRK-DAY-X.
               05  WRK-DAY-Z9          PIC Z9.
           03  WRK-KAISU-X.
               05  WRK-KAISU-Z9        PIC ZZ9.
           03  WRK-DAY-HENSYU.
               05  WRK-DAY-N           PIC X(04).
               05  WRK-DAY-H1          PIC X(06).
               05  WRK-KAISU-N         PIC X(06).
               05  WRK-DAY-H2          PIC X(04).
      *
           03  WRK-TANINAME            PIC X(04).
           03  WRK-ZZ                  PIC ZZ.
           03  WRK-TNS-NAME            PIC X(200).
      *
      *    ʸѴ
           03  WRK-ZENKAKU-G           PIC X(100).
           03  WRK-MOJI                PIC X(100).
           03  WRK-MOJISU              PIC 9(04).
      *
      *    Խ
           03  WRK-BIKOH-AREA.
               05  WRK-BIKOH           PIC X(110)   OCCURS  3.
      *
      *    Ģɼ
           03  WRK-SEX                 PIC X(02).
           03  WRK-BIRTHDAY            PIC X(22).
           03  WRK-BTUNAME             PIC X(20).
           03  WRK-ROOMNO              PIC X(06).
           03  WRK-SYSYMD              PIC X(22).
           03  WRK-TIME-G.
               05  WRK-TIME-HH         PIC X(02).
               05  WRK-TIME-P          PIC X(01).
               05  WRK-TIME-SS         PIC X(02).
               05  WRK-SIJISEN-HEAD.
                   07  WRK-SIJISEN-HEAD-A    PIC X(4).
                   07  WRK-SIJISEN-HEAD-B    PIC X(26).
               05  WRK-SIJISEN-PRT     PIC 9(02).
      *
           03  WRK-BRMNUM              PIC 9(06).
           03  WRK-Z6                  PIC ZZZZZ9.
      *    ̾ñ̾
           03  WRK-SYO-TANINAME        PIC X(12).
      *
      *---(01.00.01) LINE ADD START -----------------------------------
      *    
       01  WRK-BIKOU-COMMENT-AREA.
           03  WRK-BIKOU-G.
               05  WRK-BIKOU-NAME      PIC X(110)
                                       OCCURS   3.
           03  IDX-BIKOU                   PIC 9(04).
      *---(01.00.01) LINE ADD END   -----------------------------------
      *
      *    䵸Ф̾
       01  WRK-SIJISEN-AREA.
           03  WRK-SIJISEN-HEAD1-G     OCCURS   4.
               05  WRK-SIJISEN-HEAD1       PIC X(30).
               05  WRK-SIJISEN-PRT1        PIC 9(02).
           03  WRK-SIJISEN-HEAD2-G     OCCURS   4.
               05  WRK-SIJISEN-HEAD2       PIC X(30).
               05  WRK-SIJISEN-PRT2        PIC 9(02).
      *
      *    
       01  WRK-NAIYOU-AREA.
           03  WRK-NAIYOU-TBL          OCCURS   100.
               05  WRK-NAIYOU-Z            PIC X(86).
               05  WRK-NAIYOU-R1           REDEFINES   WRK-NAIYOU-Z.
                   07  WRK-NO              PIC X(04).
                   07  WRK-K2              PIC X(02).
                   07  WRK-MEISYOU1        PIC X(44).
      **           07  WRK-SURYOU          PIC X(18).
                   07  WRK-SURYOU          PIC X(22).
                   07  WRK-TANI            PIC X(12).
                   07  WRK-FIL11           PIC X(02).
               05  WRK-NAIYOU-R2           REDEFINES   WRK-NAIYOU-Z.
                   07  WRK-FIL21           PIC X(06).
                   07  WRK-MEISYOU2        PIC X(44).
                   07  WRK-FIL22           PIC X(22).
                   07  WRK-K3              PIC X(02).
                   07  WRK-KAISUU          PIC X(06).
                   07  WRK-HINICHI         PIC X(06).
               05  WRK-NAIYOU-R3           REDEFINES   WRK-NAIYOU-Z.
                   07  WRK-FIL23           PIC X(06).
                   07  WRK-MEISYOU3        PIC X(80).
               05  WRK-NAIYOU-R4           REDEFINES   WRK-NAIYOU-Z.
                   07  WRK-FIL24           PIC X(66).
                   07  WRK-KIKANN          PIC X(20).
      *
      *    
       01  WRK-SYOHOU-AREA.
           03  WRK-SYOHOU-PAGE         OCCURS   10.
               05  WRK-SYOHOU-TBL          OCCURS   35.
                   07  WRK-NAIYOU          PIC X(86).
      *
           03  WRK-PAGE-MAX                PIC 9(03).
           03  WRK-LINE-MAX                PIC 9(03).
           03  WRK-ORDERNUM-MAX            PIC 9(03).
      *
      *    ƺ
       01  WRK-IDX-MAX                 PIC 9(03)  VALUE   35.
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *    ŵؾݴܾ 
           COPY    "CPSK1001.INC".
      *    ŵؾݽϡϢ 
           COPY    "CPSK1002.INC".
      *
           COPY    "CPSK1005.INC".
      *
           COPY    "CPSK1010.INC".
      *    䵣ǣɽ
           COPY    "CPSK1030.INC".
      *    ץ̾ƾ
           COPY  "CPSK1034.INC".
      *    ؼ
           COPY  "CPSK5007.INC".
      *    
           COPY    "CPSK5001.INC".
      *
      *    ԥޥ
       01  PTINF-REC.
           COPY    "CPPTINF.INC".
      *    ޥ
      *01  TENSU-REC.
           COPY    "CPTENSU.INC".
      *
      *    
       01  PTNYUINRRK-REC.
           COPY    "CPPTNYUINRRK.INC".
      *
      *    Ģɼ
       01  ORDERPRT-REC.
           COPY    "CPORDERPRT.INC".
      *
       01  LNK-ORDERPRT-AREA.
           02  LNK-ORDERPRT-REC      OCCURS   50.
           COPY    "CPORDERPRT.INC"  REPLACING
                                     //ORDERPRT-// BY //LNK-ORDERPRT-//.
       01  LNK-ORDERPRT-MAX           PIC 9(04).
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *   Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    ѥåѥ᥿
           COPY    "CPORCSKANACHK.INC".
      *
      *    ѥ᥿
           COPY    "CPORCSMKPRT.INC".
      *
      *    ݸǯѥ᥿
           COPY    "CPORCSAGECHK.INC".
      *
      *    饤Ģɼ̾ץ̾ѥ
           COPY    "CPORCSPRTNM.INC".
      *
           COPY    "MCPAREA".
      *    ģ¸
           COPY    "MCPDATA.INC".
      *****COPY    "CPORCMCP.INC".
      *****COPY    "ORCA-DBPATH".
      *
      *****************************************************************
      *    Ϣΰ
      *****************************************************************
        LINKAGE                     SECTION.
      *
      *    ΰ
           COPY    "COMMON-SPA".
      *
      *    䵶̥ѥ᥿
           COPY    "CPORCHC501.INC".
      *
       PROCEDURE                   DIVISION    USING
           SPA-AREA
           ORCHC501AREA
           .
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
      *
           INITIALIZE                  FLG-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  IDX-AREA
      *
           ACCEPT  SYS-TIME            FROM    TIME
      *
      *    ƣģɹ
           PERFORM 100-SYORI-SEC
      *
           EVALUATE    ORCHC501-SYORIKBN
               WHEN    ZERO
      *            Խ
                   PERFORM 200-MAIN-SYORI-SEC
               WHEN    1
      *            Ƭ
                   PERFORM 200-HEAD-PRINT-SEC
           END-EVALUATE
           .
       000-PROC-EXT.
           EXIT    PROGRAM
           .
      *****************************************************************
      *    Խ
      *****************************************************************
       100-SYORI-SEC                SECTION.
      *
      *    Ծ
           MOVE    SPA-HOSPNUM         TO  PTINF-HOSPNUM
           MOVE    SPA-PTID            TO  PTINF-PTID
           PERFORM 900-PTINF-READ-SEC
           IF      FLG-PTINF       NOT =   ZERO
               INITIALIZE              PTINF-REC
           END-IF
      *
      *    Ƚ
           MOVE    SPACE               TO  PTNYUINRRK-REC
           INITIALIZE                  PTNYUINRRK-REC
           MOVE    SPA-HOSPNUM         TO  PTNYUINRRK-HOSPNUM
           MOVE    SPA-PTID            TO  PTNYUINRRK-PTID
      *
           MOVE    PTNYUINRRK-REC      TO  MCPDATA-REC
           MOVE    "tbl_ptnyuinrrk"    TO  MCP-TABLE
           MOVE    "key36"             TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
           IF      MCP-RC              =   ZERO
               PERFORM 900-PTNYUINRRK-READ-SEC
           ELSE
               MOVE    1                   TO  FLG-PTNYUINRRK
           END-IF
           MOVE    ZERO                TO  FLG-OK
           PERFORM
                   UNTIL      (FLG-PTNYUINRRK      =   1 )  OR
                              (FLG-OK              =   1 )
      *        ž
               IF      PTNYUINRRK-TENNYUYMD    <=  ORCHC501-SYSYMD
      *            ž
                   IF     (PTNYUINRRK-TENSTUYMD    =   SPACE )  OR
                          (PTNYUINRRK-TENSTUYMD    NOT =   SPACE AND
                           PTNYUINRRK-TENSTUYMD    >=  ORCHC501-SYSYMD)
                       MOVE    1               TO  FLG-OK
                   END-IF
               END-IF
      *
               IF      FLG-OK              =   ZERO
                   MOVE    "tbl_ptnyuinrrk"    TO  MCP-TABLE
                   MOVE    "key36"             TO  MCP-PATHNAME
                   PERFORM 900-PTNYUINRRK-READ-SEC
               END-IF
           END-PERFORM
           IF      FLG-OK              =   ZERO
               INITIALIZE                  PTNYUINRRK-REC
           END-IF
           MOVE    "tbl_ptnyuinrrk"    TO  MCP-TABLE
           MOVE    "key36"             TO  MCP-PATHNAME
           PERFORM 990-DBCLOSE-SEC
      *
      *    
           MOVE    SPACE               TO  SYS-5001-REC
           INITIALIZE                  SYS-5001-REC
           MOVE    "5001"              TO  SYS-5001-KANRICD
           MOVE    PTNYUINRRK-BTUNUM   TO  SYS-5001-KBNCD
           MOVE    SYS-5001-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-5001-REC
           ELSE
               INITIALIZE                      SYS-5001-REC
           END-IF
      *
           MOVE    SYS-5001-BTU-NAME   TO  WRK-BTUNAME
      *
      *    ¼ֹ
           IF      PTNYUINRRK-BRMNUM (3:6) IS  NUMERIC
               MOVE    PTNYUINRRK-BRMNUM (3:6)
                                           TO   WRK-BRMNUM
               MOVE    WRK-BRMNUM          TO   WRK-Z6
               MOVE    WRK-Z6              TO   WRK-ROOMNO
           ELSE
               MOVE    PTNYUINRRK-BRMNUM (3:6)
                                           TO  WRK-ROOMNO
           END-IF
      *
      *    ץ̾ƾԽ
           INITIALIZE                      SYS-1034-REC
           INITIALIZE                      ORCSPRTNMAREA
           MOVE    "2"                 TO  ORCSPRTNM-KBN
           MOVE    ORCHC501-SYSYMD     TO  ORCSPRTNM-SRYYMD
           MOVE    "1"                 TO  ORCSPRTNM-NYUGAIKBN
           CALL    "ORCSPRTNM"         USING
                                           ORCSPRTNMAREA
                                           SPA-AREA
                                           SYS-1034-REC
      *
      *    Ų
           MOVE    SPACE               TO  SYS-1005-REC
           INITIALIZE                      SYS-1005-REC
           MOVE    "1005"              TO  SYS-1005-KANRICD
           MOVE    ORCHC501-SRYKA      TO  SYS-1005-KBNCD
           MOVE    SYS-1005-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-1005-REC
           ELSE
               INITIALIZE                      SYS-1005-REC
           END-IF
      *
      *    䵣ǣŽϾԽ
           MOVE    SPACE               TO  SYS-1030-REC
           INITIALIZE                  SYS-1030-REC
           MOVE    "1030"              TO  SYS-1030-KANRICD
           MOVE    "*"                 TO  SYS-1030-KBNCD
           MOVE    SYS-1030-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-1030-REC
           ELSE
               INITIALIZE                      SYS-1030-REC
           END-IF
      *
      *    䵸Ф̾
           INITIALIZE  WRK-SIJISEN-AREA
           MOVE    SPACE               TO  SYS-5007-REC
           INITIALIZE                      SYS-5007-REC
           MOVE    "5007"              TO  SYS-5007-KANRICD
           MOVE    ORCHC501-SRYYMD     TO  SYS-5007-STYUKYMD
           MOVE    ORCHC501-SRYYMD     TO  SYS-5007-EDYUKYMD
      *
           MOVE    SPA-HOSPNUM         TO  SYS-5007-HOSPNUM
           MOVE    SYS-5007-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
           IF      MCP-RC              =   ZERO
               MOVE    "tbl_syskanri"      TO  MCP-TABLE
               MOVE    "key2"              TO  MCP-PATHNAME
               PERFORM 920-DBFETCH-SEC
           END-IF
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  SYS-5007-REC
               MOVE    ZERO                TO  FLG-SYSKANRI
           ELSE
               MOVE    1                   TO  FLG-SYSKANRI
               INITIALIZE                      SYS-5007-REC
           END-IF
           PERFORM
                   UNTIL       FLG-SYSKANRI    =   1
               EVALUATE    SYS-5007-KBNCD
                   WHEN    "01"
      *                
                       PERFORM VARYING IDX     FROM    1   BY  1
                               UNTIL   IDX     >   4
                           MOVE    SYS-5007-SIJISEN-HEAD(IDX)
                                           TO  WRK-SIJISEN-HEAD1 (IDX)
                           MOVE    SYS-5007-SIJISEN-PRT (IDX)
                                           TO  WRK-SIJISEN-PRT1 (IDX)
                       END-PERFORM
                   WHEN    "02"
      *                
                       PERFORM VARYING IDX     FROM    1   BY  1
                               UNTIL   IDX     >   4
                           MOVE    SYS-5007-SIJISEN-HEAD(IDX)
                                           TO  WRK-SIJISEN-HEAD2 (IDX)
                           MOVE    SYS-5007-SIJISEN-PRT (IDX)
                                           TO  WRK-SIJISEN-PRT2 (IDX)
                       END-PERFORM
               END-EVALUATE
               MOVE    "tbl_syskanri"      TO  MCP-TABLE
               MOVE    "key2"              TO  MCP-PATHNAME
               PERFORM 920-DBFETCH-SEC
               IF      MCP-RC              =   ZERO
                   MOVE    MCPDATA-REC         TO  SYS-5007-REC
                   MOVE    ZERO                TO  FLG-SYSKANRI
               ELSE
                   MOVE    1                   TO  FLG-SYSKANRI
               END-IF
           END-PERFORM
      *
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           PERFORM 990-DBCLOSE-SEC
      *
           .
       100-SYORI-EXT.
           EXIT.
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SYORI-SEC                   SECTION.
      *
      *    ФԽ
           PERFORM 2001-HEAD-HENSYU-SEC
           MOVE    SPACE               TO  WRK-DRCD
      *    ͥԽ
           PERFORM 2009-BIKOU-COMMENT-SEC
      *
           PERFORM VARYING     IDX-H   FROM    1   BY  1
                   UNTIL       IDX-H   >   3
               EVALUATE    IDX-H
                   WHEN    1
      *                
                       MOVE    "1"             TO  WRK-PRTKBN
                   WHEN    2
      *                
                       MOVE    "2"             TO  WRK-PRTKBN
                   WHEN    3
      *                ׻
                       MOVE    "3"             TO  WRK-PRTKBN
               END-EVALUATE
      *        Խ
               PERFORM 2001-HENSYU-SYORI-SEC
      *        Ģɼ
               PERFORM 300-PRINT-SYORI-SEC
      *        ģº
               PERFORM 500-DELETE-SEC
           END-PERFORM
      *
           .
       200-MAIN-SYORI-EXT.
           EXIT.
      *****************************************************************
      *    ФԽ
      *****************************************************************
       2001-HEAD-HENSYU-SEC          SECTION.
      *
      *    
           EVALUATE   PTINF-SEX
              WHEN    1
                  MOVE    ""             TO  WRK-SEX
              WHEN    2
                  MOVE    ""             TO  WRK-SEX
           END-EVALUATE
      *    ǯ
           MOVE    PTINF-BIRTHDAY      TO  WRK-SYMD
           PERFORM 510-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG         TO  WRK-BIRTHDAY
      *    ǯ
           INITIALIZE                  ORCSAGECHKAREA
           MOVE    SPA-HOSPNUM         TO  AGECHK-HOSPNUM
           MOVE    SPA-PTID            TO  AGECHK-PTID
           MOVE    ORCHC501-SYSYMD     TO  AGECHK-SRYYMD
           MOVE    SPA-NYUGAIKBN       TO  AGECHK-NYUGAIKBN
           MOVE    PTINF-BIRTHDAY      TO  AGECHK-BIRTHDAY
           CALL    "ORCSAGECHK"        USING
                                       ORCSAGECHKAREA
                                       SPA-AREA
           IF      AGECHK-NENREI2-YY   =   ZERO
               MOVE    AGECHK-NENREI2-MM   TO  WRK-AGE-Z9
               MOVE    WRK-AGE-Z9X         TO  WRK-MOJI
               PERFORM 500-HENKAN-SEC
               MOVE    WRK-ZENKAKU-G(1:4)  TO  WRK-AGE-N
               MOVE    ""              TO  WRK-AGE-MEIN
           ELSE
               MOVE    AGECHK-NENREI2-YY   TO  WRK-AGE-ZZ9
               MOVE    WRK-AGE-ZZ9X        TO  WRK-MOJI
               PERFORM 500-HENKAN-SEC
               MOVE    WRK-ZENKAKU-G(1:6)  TO  WRK-AGE-N2
               MOVE    ""                TO  WRK-AGE-MEIN2
           END-IF
      *    
           MOVE    ORCHC501-SRYYMD     TO  WRK-SYMD
           PERFORM 510-SEIWA-HEN-SEC
           MOVE    WRK-HENYMDG         TO  WRK-SYSYMD
      *    
           MOVE    ORCHC501-PRINTHMS(1:2)
                                        TO  WRK-TIME-HH
           MOVE    ORCHC501-PRINTHMS(3:2)
                                        TO  WRK-TIME-SS
           MOVE    ":"                  TO  WRK-TIME-P
      *
           .
       2001-HEAD-HENSYU-EXT.
           EXIT.
      *****************************************************************
      *    ФɥԽ
      *****************************************************************
       2002-DRCD-HENSYU-SEC          SECTION.
      *
      *    ʥɥ
           IF      WRK-DRCD            =   SPACE
               INITIALIZE                      SYS-1010-REC
           ELSE
               MOVE    SPACE               TO  SYS-1010-REC
               MOVE    "1010"              TO  SYS-1010-KANRICD
               MOVE    WRK-DRCD            TO  SYS-1010-KBNCD
               MOVE    SYS-1010-REC        TO  SYSKANRI-REC
               PERFORM 900-SYSKANRI-READ-SEC
               IF      FLG-SYSKANRI        =   ZERO
                   MOVE    SYSKANRI-REC        TO  SYS-1010-REC
               ELSE
                   INITIALIZE                      SYS-1010-REC
               END-IF
           END-IF
           .
       2002-DRCD-HENSYU-EXT.
           EXIT.
      *****************************************************************
      *    Խ
      *****************************************************************
       2001-HENSYU-SYORI-SEC                   SECTION.
      *
           INITIALIZE                  WRK-SYOHOU-AREA
      *    Ģɼ
           INITIALIZE                  ORDERPRT-REC
           MOVE    SPA-HOSPNUM         TO  ORDERPRT-HOSPNUM
           MOVE    SPA-PTID            TO  ORDERPRT-PTID
           MOVE    ORCHC501-PTNUM      TO  ORDERPRT-PTNUM
           MOVE    SPA-NYUGAIKBN       TO  ORDERPRT-NYUGAIKBN
           MOVE    ORCHC501-SRYKA      TO  ORDERPRT-SRYKA
           MOVE    ORCHC501-HKNCOMBI   TO  ORDERPRT-HKNCOMBI
      *    ƥ
           MOVE    ORCHC501-SYSYMD     TO  ORDERPRT-SYSYMD
      *    ȯ
           MOVE    ORCHC501-PRINTYMD   TO  ORDERPRT-PRINTYMD
      *    ȯԻ
           MOVE    ORCHC501-PRINTHMS   TO  ORDERPRT-PRINTHMS
      *    Ģɼʬ
           MOVE    WRK-PRTKBN          TO  ORDERPRT-PRTKBN
      *
           MOVE    ORDERPRT-REC        TO  MCPDATA-REC
           MOVE    "tbl_orderprt"      TO  MCP-TABLE
           MOVE    "key1"              TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
           IF      MCP-RC              =   ZERO
               PERFORM 900-ORDERPRT-READ-SEC
           END-IF
           INITIALIZE                  LNK-ORDERPRT-AREA
           INITIALIZE                  LNK-ORDERPRT-MAX
      *
           PERFORM UNTIL    FLG-ORDERPRT   =   1
      *---(01.00.01) LINE ADD START -----------------------------------
      *      Ȥоݳ
             IF      ORDERPRT-SRYKBN     =   "98"
                 CONTINUE
             ELSE
      *---(01.00.01) LINE ADD END   -----------------------------------
      *        Խ
               IF     (LNK-ORDERPRT-MAX    >   ZERO  )  AND
                      (ORDERPRT-RENNUM     =   1     )
                   PERFORM 220-NAIYOU-HENSYU-SEC
               END-IF
               ADD     1               TO  LNK-ORDERPRT-MAX
               MOVE    ORDERPRT-REC    TO  LNK-ORDERPRT-REC
                                              (LNK-ORDERPRT-MAX)
      *        ɥϤ٤ƱȤ
               IF      WRK-DRCD        =   SPACE
                   MOVE    ORDERPRT-DRCD   TO  WRK-DRCD
                   PERFORM 2002-DRCD-HENSYU-SEC
               END-IF
      *---(01.00.01) LINE ADD START -----------------------------------
             END-IF
      *---(01.00.01) LINE ADD END   -----------------------------------
      *
               MOVE    "tbl_orderprt"      TO  MCP-TABLE
               MOVE    "key1"              TO  MCP-PATHNAME
               PERFORM 900-ORDERPRT-READ-SEC
           END-PERFORM
           MOVE    "tbl_orderprt"      TO  MCP-TABLE
           MOVE    "key1"              TO  MCP-PATHNAME
           PERFORM 990-DBCLOSE-SEC
      *
      *    Խ
           IF      LNK-ORDERPRT-MAX    >   ZERO
               PERFORM 220-NAIYOU-HENSYU-SEC
           END-IF
      *
           .
       2001-HENSYU-SYORI-EXT.
           EXIT.
      *****************************************************************
      *    Խ
      *****************************************************************
       220-NAIYOU-HENSYU-SEC                   SECTION.
      *
      *    ǽޥ򸡺
           MOVE    ORCHC501-SRYYMD     TO  WRK-SRYYMD
           PERFORM VARYING     IDX2    FROM    1   BY  1
                   UNTIL       IDX2    >   31
               IF      LNK-ORDERPRT-DAY (1 IDX2)  >   ZERO
                   MOVE    IDX2            TO  WRK-SRYYMD(7:2)
                   MOVE    31              TO  IDX2
               END-IF
           END-PERFORM
      *
           MOVE    SPACE               TO  WRK-NAIYOU-AREA
           MOVE    ZERO                TO  IDX-S
      *---(01.00.17) LINE ADD START ------------------------------------
           MOVE    ZERO                TO  FLG-DATA
      *---(01.00.17) LINE ADD END   ------------------------------------
           PERFORM VARYING     IDX     FROM    1   BY  1
                   UNTIL      (IDX     >   LNK-ORDERPRT-MAX )  OR
                              (IDX-S   >=  100  )
               MOVE    LNK-ORDERPRT-SRYCD (IDX)    TO  WRK-SRYCD
      *---(01.00.17) LINE UPD START ------------------------------------
      *        ̥
               IF      WRK-SRYCD (1:7)     =   "0992000"
                   CONTINUE
               ELSE
                   MOVE    1                   TO  FLG-DATA
                   PERFORM 2001-ORDERPRT-HEN-SEC
               END-IF
      *---(01.00.17) LINE UPD END   ------------------------------------
           END-PERFORM
      *    
           MOVE    ZERO                TO  WRK-DAY
           MOVE    ZERO                TO  WRK-KAISU
           PERFORM VARYING     IDX2    FROM    1   BY  1
                   UNTIL      (IDX2    >   31  )  OR
                              (IDX-S   >=  100 )
               IF      LNK-ORDERPRT-DAY (1 IDX2)  >   1
                   IF      WRK-DAY             >   ZERO
                       PERFORM 2202-DAY-HENSYU-SEC 
                   END-IF
                   MOVE    IDX2                TO  WRK-DAY
                   MOVE    LNK-ORDERPRT-DAY (1 IDX2)  TO  WRK-KAISU
                   PERFORM 2202-DAY-HENSYU-SEC
               END-IF
               IF      LNK-ORDERPRT-DAY (1 IDX2)   =   1
                   IF      WRK-DAY             =   ZERO
                       MOVE    IDX2            TO  WRK-DAY
                       MOVE    LNK-ORDERPRT-DAY (1 IDX2)  TO  WRK-KAISU
                   ELSE
                       ADD     1               TO  WRK-KAISU
                   END-IF
               END-IF
               IF      LNK-ORDERPRT-DAY (1 IDX2)   =   ZERO
                   IF      WRK-DAY             >   ZERO
                       PERFORM 2202-DAY-HENSYU-SEC
                   END-IF
               END-IF
           END-PERFORM
           IF      WRK-DAY             >   ZERO
               PERFORM 2202-DAY-HENSYU-SEC
           END-IF
      *
      *    ĢɼΥơ֥Խ
      *---(01.00.17) LINE UPD START ------------------------------------
           IF      FLG-DATA            =   1
               PERFORM 2209-PRINT-HENSYU-SEC
           END-IF
      *---(01.00.17) LINE UPD END   ------------------------------------
      *
           INITIALIZE                  LNK-ORDERPRT-AREA
           INITIALIZE                  LNK-ORDERPRT-MAX
      *
           .
       220-NAIYOU-HENSYU-EXT.
           EXIT.
      *****************************************************************
      *    Խ
      *****************************************************************
       2001-ORDERPRT-HEN-SEC                   SECTION.
      *
           ADD     1                   TO  IDX-S
      *
      *    
           MOVE    LNK-ORDERPRT-SRYCD(IDX) TO  WRK-SRYCD
           PERFORM 910-TENSU-READ-SEC
      *
           IF      WRK-SRYCD(1:1)      =   "6"
      *    
      *        ǣդɽλɽ
               MOVE    TNS-NAME        TO  WRK-TNS-NAME
               IF      SYS-1030-SYOHOGEPRTFLG  =   1
                   IF     (TNS-SYUSAISKB       =   8   )  AND
                          (TNS-SYOMEIKANREN    NOT =   SPACE AND
                                                       ZERO )
                       COMPUTE KETA            =  (TNS-YUKOKETA  * 2)
                                               +   1
                       MOVE    "ʣǣš"      TO  WRK-TNS-NAME(KETA:)
                   END-IF
               END-IF
      *        ȯʤλɽͥ
               IF      SYS-1030-SYOHODSPNAME   NOT =   SPACE
      *            ȯʶʬ
                   IF      TNS-KOUHATUKBN      NOT =   ZERO
                       MOVE    TNS-NAME        TO  WRK-TNS-NAME
                       COMPUTE KETA            =  (TNS-YUKOKETA  * 2)
                                               +   1
                       MOVE    SYS-1030-SYOHODSPNAME
                                               TO  WRK-TNS-NAME(KETA:)
                   END-IF
               END-IF
      *        ̾Խ
               PERFORM 20011-MEISYOU-HEN-SEC
           ELSE
      *        ˡ
               IF      WRK-SRYCD (1:3)     =   "001"
                   MOVE    SPACE           TO  WRK-TNS-NAME
                   STRING     ""             DELIMITED   BY  SIZE
                              TNS-NAME         DELIMITED   BY  "    "
                              ""             DELIMITED   BY  SIZE
                          INTO                 WRK-TNS-NAME
                   END-STRING
                   IF      LNK-ORDERPRT-INPUTCOMENT (IDX)  NOT =   SPACE
                       MOVE    SPACE           TO  WRK-TNS-NAME
                       STRING     ""             DELIMITED   BY  SIZE
                                  LNK-ORDERPRT-INPUTCOMENT (IDX)
                                                   DELIMITED   BY  SPACE
                                  ""             DELIMITED   BY  SIZE
                              INTO                 WRK-TNS-NAME
                       END-STRING
                   END-IF
               ELSE
      *            ¾
                   IF      LNK-ORDERPRT-INPUTCOMENT (IDX)  =   SPACE
                       MOVE    TNS-NAME        TO  WRK-TNS-NAME
                   ELSE
                       MOVE    LNK-ORDERPRT-INPUTCOMENT(IDX)
                                               TO  WRK-TNS-NAME
                   END-IF
      *            ྦ̾
                   IF      WRK-SRYCD (1:3)     =   "058"
                       MOVE   TNS-FORMALNAME       TO  WRK-TNS-NAME
      *ver.4.7 ñ̾
                       MOVE    TNS-TANINAME        TO  WRK-SYO-TANINAME
                       MOVE    SPACE               TO  TNS-TANINAME
                   END-IF
      *!           ྦ̾δ
                   IF     (WRK-SRYCD (1:1)     =   "7"  )  AND
                          (FLG-KIZAI           =   1    )
                       MOVE    SPACE           TO  WRK-TNS-NAME
                       STRING  ""
                               TNS-NAME        DELIMITED  BY  SPACE
                               ""            DELIMITED  BY  SIZE
                                               INTO    WRK-TNS-NAME
                       END-STRING
      *ver.4.7
      *                ̾ɤñ̤
                       IF      WRK-SYO-TANINAME    NOT =   SPACE
                           MOVE    WRK-SYO-TANINAME    TO  TNS-TANINAME
                           MOVE    SPACE           TO  WRK-SYO-TANINAME
                       END-IF
                   END-IF
               END-IF
      *        ̾Խ
               PERFORM 20011-MEISYOU-HEN-SEC
           END-IF
      *!
           IF      WRK-SRYCD (1:3)     =   "058"
               MOVE    1               TO  FLG-KIZAI
           ELSE
               MOVE    ZERO            TO  FLG-KIZAI
           END-IF
      *!
      *
           MOVE    ALL ""            TO  WRK-NO (IDX-S)
           MOVE    ALL ""            TO  WRK-K2 (IDX-S)
           INSPECT WRK-MEISYOU1 (IDX-S)    REPLACING  ALL "  "  BY  ""
      *
           IF     (WRK-SRYCD (1:1)   =   "6"  OR  "7" )  OR
                  (WRK-SRYCD (1:3)   =   "059"        )
      *        
               MOVE    LNK-ORDERPRT-SRYSURYO (IDX) TO  WRK-SURYO
               IF      WRK-SURYO           =   ZERO
                   MOVE    SPACE               TO  WRK-SURYO-N
               ELSE
                   PERFORM 20012-SURYO-HEN-SEC
               END-IF
               MOVE    WRK-SURYO-N             TO  WRK-SURYOU (IDX-S)
      *        ñ
               MOVE    TNS-TANINAME            TO  WRK-TANI   (IDX-S)
           END-IF
      *
           INSPECT WRK-SURYOU (IDX-S)    REPLACING  ALL "  "  BY  ""
           INSPECT WRK-TANI   (IDX-S)    REPLACING  ALL "  "  BY  ""
      *
           .
       2001-ORDERPRT-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *     ̾Խ
      *****************************************************************
       20011-MEISYOU-HEN-SEC           SECTION.
      *
           MOVE    WRK-TNS-NAME        TO  WRK-MEISYOU1   (IDX-S)
           IF      WRK-TNS-NAME(45:)   NOT =   SPACE
               MOVE    WRK-TNS-NAME        TO  WRK-MEISYOU3   (IDX-S)
               IF    ((WRK-SRYCD (1:1)     =   "6"  OR  "7" )  OR
                      (WRK-SRYCD (1:3)     =   "059"  ))
                 AND  (WRK-TNS-NAME(81:)   =   SPACE   )
                   ADD     1                   TO  IDX-S
                   MOVE    ALL ""            TO  WRK-NO     (IDX-S)
                   MOVE    ALL ""            TO  WRK-K2     (IDX-S)
               END-IF
           END-IF
           IF      WRK-TNS-NAME(81:)   NOT =   SPACE
               ADD     1                   TO  IDX-S
               MOVE    WRK-TNS-NAME(81:)   TO  WRK-MEISYOU3 (IDX-S)
               IF     (WRK-SRYCD (1:1)     =   "6"  OR  "7" )  OR
                      (WRK-SRYCD (1:3)     =   "059"  )
                   ADD     1                   TO  IDX-S
                   MOVE    ALL ""            TO  WRK-NO     (IDX-S)
                   MOVE    ALL ""            TO  WRK-K2     (IDX-S)
               END-IF
           END-IF
      *
           .
       20011-MEISYOU-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ɽԽ
      *****************************************************************
       20012-SURYO-HEN-SEC             SECTION.
      *
           MOVE    SPACE               TO  WRK-SURYO-X
           MOVE    WRK-SURYO-S1        TO  WRK-SURYO-Z1
      *
           MOVE    ZERO                TO  FLG-SP
           MOVE    ZERO                TO  FLG-KETA5
           PERFORM VARYING     IDXM   FROM    5  BY  -1
                   UNTIL       IDXM    <   1
               IF      WRK-SURYO-S2(IDXM:1) NOT =   ZERO
                   MOVE    1               TO  FLG-SP
               END-IF
               IF      FLG-SP          =   1
                   MOVE    WRK-SURYO-S2(IDXM:1) TO  WRK-SURYO-Z3(IDXM:1)
                   IF      IDXM            >   3
                       MOVE    1               TO  FLG-KETA5
                   END-IF
               END-IF
           END-PERFORM
      *
           IF      WRK-SURYO-Z3        NOT =   SPACE
               MOVE    "."                 TO  WRK-SURYO-Z2
           END-IF
      *
           MOVE    SPACE               TO  WRK-SURYO-N
           IF      FLG-KETA5           =   ZERO
      *        ʲ
               MOVE    WRK-SURYO-X(1:9)    TO  WRK-MOJI
               PERFORM 500-HENKAN-SEC
               MOVE    WRK-ZENKAKU-G(1:18) TO  WRK-SURYO-N-18
           ELSE
      *        ʾ
               MOVE    WRK-SURYO-X         TO  WRK-MOJI
               PERFORM 500-HENKAN-SEC
               MOVE    WRK-ZENKAKU-G(1:22) TO  WRK-SURYO-N
           END-IF
           .
       20012-SURYO-HEN-EXT.
           EXIT.
      *****************************************************************
      *    Խ
      *****************************************************************
       2202-DAY-HENSYU-SEC             SECTION.
      *
           MOVE    SPACE               TO  WRK-DAY-HENSYU
           MOVE    WRK-DAY             TO  WRK-DAY-Z9
           MOVE    WRK-DAY-X           TO  WRK-MOJI
           PERFORM 500-HENKAN-SEC
           MOVE    WRK-ZENKAKU-G       TO  WRK-DAY-N
      *
           MOVE    WRK-KAISU           TO  WRK-KAISU-Z9
           MOVE    WRK-KAISU-X         TO  WRK-MOJI
           PERFORM 500-HENKAN-SEC
           MOVE    WRK-ZENKAKU-G(1:6)  TO  WRK-KAISU-N
      *
           MOVE    ""            TO  WRK-DAY-H1
           MOVE    "ʬ"              TO  WRK-DAY-H2
      *
           ADD     1                   TO  IDX-S
           MOVE    WRK-DAY-HENSYU      TO  WRK-KIKANN (IDX-S)
           MOVE    ALL ""            TO  WRK-FIL24  (IDX-S)
      *
           MOVE    ZERO                TO  WRK-DAY
           MOVE    ZERO                TO  WRK-KAISU
           .
       2202-DAY-HENSYU-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼʬԽ
      *****************************************************************
       2209-PRINT-HENSYU-SEC          SECTION.
      *
           MOVE    WRK-PAGE-MAX        TO  IDX-PAGE
           MOVE    WRK-LINE-MAX        TO  IDX-LINE
      *
           IF      IDX-PAGE            =   ZERO
               ADD     1                   TO  IDX-PAGE
           END-IF
      *    ܤϢ
           ADD     1                   TO  WRK-ORDERNUM-MAX
           MOVE    WRK-ORDERNUM-MAX    TO  WRK-ZZ
           MOVE    WRK-ZZ              TO  WRK-MOJI
           PERFORM 500-HENKAN-SEC
           MOVE    WRK-ZENKAKU-G(1:4)  TO  WRK-NO  (01)
           MOVE    ""                TO  WRK-K2  (01)
      *
           MOVE    IDX-S               TO  IDX-SMAX
      *    ĢɼڡԽ
           IF     (IDX-PAGE            =   1    )  AND
                  (IDX-LINE            =   ZERO)
               MOVE    WRK-IDX-MAX         TO  IDX-MAX
               PERFORM 20022-PRINT-HEN-SEC
           END-IF
      *
      *    ԿݣΥå
           COMPUTE IDX-MAX             =   WRK-IDX-MAX  -  1
      *
           IF      IDX-SMAX            >   ZERO
               IF      IDX-LINE        >=   IDX-MAX
                   PERFORM 20022-PRINT-HEN-SEC
               END-IF
           END-IF
      *
           MOVE    IDX-SMAX            TO  IDX-S
           PERFORM VARYING IDX         FROM    1   BY  1
                   UNTIL   IDX         >   IDX-SMAX
               ADD     1                   TO  IDX-LINE
               MOVE    WRK-NAIYOU-Z (IDX)  TO  WRK-NAIYOU
                                              (IDX-PAGE IDX-LINE)
               COMPUTE IDX-S           =   IDX-S   -  1
               IF      IDX-LINE        =   IDX-MAX
                   PERFORM 20022-PRINT-HEN-SEC
               END-IF
           END-PERFORM
           ADD     1                   TO  IDX-LINE
      *
           MOVE    IDX-PAGE            TO  WRK-PAGE-MAX
           MOVE    IDX-LINE            TO  WRK-LINE-MAX
           IF      IDX-LINE            >   WRK-IDX-MAX
               MOVE    WRK-IDX-MAX         TO  IDX-LINE
           END-IF
      *
           .
       2209-PRINT-HENSYU-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼԽ
      *****************************************************************
       20022-PRINT-HEN-SEC         SECTION.
      *
           IF     (IDX-S               =   1   )  AND
                  (IDX-LINE            =   IDX-MAX)
             AND  (FLG-ORDERPRT        =   1   )
               CONTINUE
           ELSE
               IF     (IDX-S   +   IDX-LINE)   >   IDX-MAX
                   MOVE    "ڡ³"    TO  WRK-NAIYOU
                                         (IDX-PAGE WRK-IDX-MAX)(51:)
                   IF      IDX-LINE         >   ZERO
      *                 ڡ
                       ADD     1                   TO  IDX-PAGE
                       MOVE    ZERO                TO  IDX-LINE
                   END-IF
               END-IF
           END-IF
      *
           .
       20022-PRINT-HEN-EXT.
           EXIT.
      *---(01.00.01) LINE ADD START -----------------------------------
      *****************************************************************
      *    ͥԽ
      *****************************************************************
       2009-BIKOU-COMMENT-SEC          SECTION.
      *
           INITIALIZE                  WRK-BIKOU-COMMENT-AREA
      *    Ģɼ
           INITIALIZE                  ORDERPRT-REC
           MOVE    SPA-HOSPNUM         TO  ORDERPRT-HOSPNUM
           MOVE    SPA-PTID            TO  ORDERPRT-PTID
           MOVE    ORCHC501-PTNUM      TO  ORDERPRT-PTNUM
           MOVE    SPA-NYUGAIKBN       TO  ORDERPRT-NYUGAIKBN
           MOVE    ORCHC501-SRYKA      TO  ORDERPRT-SRYKA
           MOVE    ORCHC501-HKNCOMBI   TO  ORDERPRT-HKNCOMBI
      *    ƥ
           MOVE    ORCHC501-SYSYMD     TO  ORDERPRT-SYSYMD
      *    ȯ
           MOVE    ORCHC501-PRINTYMD   TO  ORDERPRT-PRINTYMD
      *    ȯԻ
           MOVE    ORCHC501-PRINTHMS   TO  ORDERPRT-PRINTHMS
      *    Ģɼʬ
           MOVE    "1"                 TO  ORDERPRT-PRTKBN
      *    Ŷʬ
           MOVE    "98"                TO  ORDERPRT-SRYKBN
      *
           MOVE    ORDERPRT-REC        TO  MCPDATA-REC
           MOVE    "tbl_orderprt"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
           IF      MCP-RC              =   ZERO
               PERFORM 900-ORDERPRT-READ-SEC
           END-IF
           INITIALIZE                  LNK-ORDERPRT-AREA
           INITIALIZE                  LNK-ORDERPRT-MAX
      *
           PERFORM UNTIL    FLG-ORDERPRT   =   1
      *        Խ
               IF     (LNK-ORDERPRT-MAX    >   ZERO  )  AND
                      (ORDERPRT-RENNUM     =   1     )
                   PERFORM 20091-COMMENT-HENSYU-SEC
               END-IF
               ADD     1                   TO  LNK-ORDERPRT-MAX
               MOVE    ORDERPRT-REC        TO  LNK-ORDERPRT-REC
                                              (LNK-ORDERPRT-MAX)
               MOVE    "tbl_orderprt"      TO  MCP-TABLE
               MOVE    "key2"              TO  MCP-PATHNAME
               PERFORM 900-ORDERPRT-READ-SEC
           END-PERFORM
           MOVE    "tbl_orderprt"      TO  MCP-TABLE
           MOVE    "key2"              TO  MCP-PATHNAME
           PERFORM 990-DBCLOSE-SEC
      *    Խ
           IF      LNK-ORDERPRT-MAX    >   ZERO
               PERFORM 20091-COMMENT-HENSYU-SEC
           END-IF
           .
       2009-BIKOU-COMMENT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ͥԽ
      *****************************************************************
       20091-COMMENT-HENSYU-SEC          SECTION.
      *
      *    ǽޥ򸡺
           MOVE    ORCHC501-SRYYMD     TO  WRK-SRYYMD
           PERFORM VARYING     IDX2    FROM    1   BY  1
                   UNTIL       IDX2    >   31
               IF      LNK-ORDERPRT-DAY (1 IDX2)  >   ZERO
                   MOVE    IDX2            TO  WRK-SRYYMD(7:2)
                   MOVE    31              TO  IDX2
               END-IF
           END-PERFORM
      *
           PERFORM VARYING     IDX     FROM    1   BY  1
                   UNTIL      (IDX     >   LNK-ORDERPRT-MAX )  OR
                              (IDX-BIKOU   >=  3    )
               MOVE    LNK-ORDERPRT-SRYCD(IDX) TO  WRK-SRYCD
               PERFORM 910-TENSU-READ-SEC
      *        ˡ
               IF      WRK-SRYCD (1:3)     =   "001"
                   MOVE    SPACE           TO  WRK-TNS-NAME
                   STRING     ""             DELIMITED   BY  SIZE
                              TNS-NAME         DELIMITED   BY  "    "
                              ""             DELIMITED   BY  SIZE
                          INTO                 WRK-TNS-NAME
                   END-STRING
                   IF      LNK-ORDERPRT-INPUTCOMENT (IDX)  NOT =   SPACE
                       MOVE    SPACE           TO  WRK-TNS-NAME
                       STRING     ""             DELIMITED   BY  SIZE
                                  LNK-ORDERPRT-INPUTCOMENT (IDX)
                                                   DELIMITED   BY  SPACE
                                  ""             DELIMITED   BY  SIZE
                              INTO                 WRK-TNS-NAME
                       END-STRING
                   END-IF
               ELSE
      *            ¾
                   IF      LNK-ORDERPRT-INPUTCOMENT (IDX)  =   SPACE
                       MOVE    TNS-NAME        TO  WRK-TNS-NAME
                   ELSE
                       MOVE    LNK-ORDERPRT-INPUTCOMENT(IDX)
                                               TO  WRK-TNS-NAME
                   END-IF
               END-IF
               ADD     1                   TO  IDX-BIKOU
               MOVE    WRK-TNS-NAME        TO  WRK-BIKOU-NAME(IDX-BIKOU)
           END-PERFORM
      *
           INITIALIZE                  LNK-ORDERPRT-AREA
           INITIALIZE                  LNK-ORDERPRT-MAX
           .
       20091-COMMENT-HENSYU-EXT.
           EXIT.
      *---(01.00.01) LINE ADD END   -----------------------------------
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       300-PRINT-SYORI-SEC          SECTION.
      *
      *
           IF     (WRK-PAGE-MAX         >   ZERO ) AND
                  (WRK-LINE-MAX         >   ZERO )
      *        ǽԤ
               PERFORM 3002-LAST-HENSYU-SEC
           END-IF
           IF      WRK-PAGE-MAX        >   ZERO
      *        
               PERFORM 3003-PRINT-SYORI-SEC
           END-IF
           .
       300-PRINT-SYORI-EXT.
           EXIT.
      *****************************************************************
      *    ǽԤΥåԽ
      *****************************************************************
       3002-LAST-HENSYU-SEC          SECTION.
      *
           MOVE    WRK-PAGE-MAX        TO  IDX-PAGE
           MOVE    WRK-LINE-MAX        TO  IDX-LINE
           IF      IDX-LINE            <=  WRK-IDX-MAX
               IF     (WRK-NAIYOU (IDX-PAGE IDX-LINE)
                                           =   SPACE ) AND
                      (IDX-LINE            =   WRK-IDX-MAX  )
                   MOVE    "ʲ;"
                                           TO  WRK-NAIYOU
                                           (IDX-PAGE IDX-LINE)
               END-IF
               ADD     1                   TO  IDX-LINE
           END-IF
           IF      IDX-LINE            <=  WRK-IDX-MAX
               MOVE    "ʲ;"
                                           TO  WRK-NAIYOU
                                           (IDX-PAGE IDX-LINE)
           END-IF
           .
       3002-LAST-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    
      *****************************************************************
       3003-PRINT-SYORI-SEC          SECTION.
      *
           MOVE    SPACE               TO  WRK-BIKOH-AREA
           MOVE    ZERO                TO  IDX-B
      *
           IF      IDX-H               =   2
      *       Խ
              PERFORM 2003-MAYAKU-HEN-SEC
           END-IF
      *---(01.00.01) LINE ADD START -----------------------------------
      *    ͥ
           IF      IDX-BIKOU           >   ZERO
               PERFORM VARYING     IDX-B2  FROM    1   BY  1
                       UNTIL      (IDX-B2  >   IDX-BIKOU )  OR
                                  (IDX-B   >=  3    )
                   ADD     1               TO  IDX-B
                   MOVE    WRK-BIKOU-NAME (IDX-B2)
                                           TO  WRK-BIKOH  (IDX-B)
               END-PERFORM
           END-IF
      *---(01.00.01) LINE ADD END   -----------------------------------
      *
           MOVE    WRK-PAGE-MAX        TO  IDX-PAGE
           MOVE    WRK-LINE-MAX        TO  IDX-LINE
      *
      *    ȯԶʬ˰
           PERFORM VARYING     IDX-P   FROM    1   BY  1
                   UNTIL       IDX-P   >   4
               IF      ORCHC501-CHKPRT (IDX-P) =   1
                   IF      IDX-H           =   2
                       MOVE    WRK-SIJISEN-HEAD2(IDX-P)
                                               TO  WRK-SIJISEN-HEAD
                       MOVE    WRK-SIJISEN-PRT2 (IDX-P)
                                               TO  WRK-SIJISEN-PRT
                   ELSE
                       MOVE    WRK-SIJISEN-HEAD1(IDX-P)
                                               TO  WRK-SIJISEN-HEAD
                       MOVE    WRK-SIJISEN-PRT1 (IDX-P)
                                               TO  WRK-SIJISEN-PRT
                   END-IF
                   PERFORM VARYING     IDX-P2  FROM    1   BY  1
                           UNTIL       IDX-P2  >   WRK-SIJISEN-PRT
                       PERFORM 3003-HC501-SYORI-SEC
                   END-PERFORM
               END-IF
           END-PERFORM
           .
       3003-PRINT-SYORI-EXT.
           EXIT.
      *
      *****************************************************************
      *     ĢɼȯԽ
      *****************************************************************
       3003-HC501-SYORI-SEC      SECTION.
      *
           PERFORM VARYING     IDX     FROM    1   BY  1
                   UNTIL       IDX     >   IDX-PAGE
      *        ĢɼϽ
               PERFORM 400-SYOKI-PRINT-SEC
      *        ĢɼԽ
               PERFORM 300-HC501-HEN-SEC
      *        Ģɼ
               PERFORM 400-PRINT-SEC
           END-PERFORM
           .
       3003-HC501-SYORI-EXT.
           EXIT.
      *
      *****************************************************************
      *        ԽԽ
      *****************************************************************
       2003-MAYAKU-HEN-SEC      SECTION.
      *
      *    Ѽȵ
           ADD     1                   TO  IDX-B
           STRING  "Ѽȵֹ桧"
                                       DELIMITED   BY  SIZE
                   SYS-1010-MAYAKULICENSE
                                       DELIMITED   BY  SPACE
                                       INTO    WRK-BIKOH  (IDX-B)
           END-STRING
      *
           .
       2003-MAYAKU-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ
      *****************************************************************
       300-HC501-HEN-SEC                SECTION.
      *
           INITIALIZE                  HC501
      *
           MOVE    WRK-SIJISEN-HEAD-B    TO  HC501-TITLE
      *    
           IF      IDX-H               =   2
               MOVE    ""                TO  HC501-MAYAKU
           END-IF
      *    ׻
           IF      IDX-H               =   3
               MOVE    ""                TO  HC501-RINJI
           END-IF
      *    ȯ
           MOVE    ORCHC501-PRINTYMD   TO  HC501-SYSYMD
      *    ȯԻ
           MOVE    WRK-TIME-G          TO  HC501-TIME
      *    Ų
           MOVE    SYS-1005-SRYKANAME1 TO  HC501-SRYKA
      *    ֹ
           MOVE    ORCHC501-PTNUM      TO  HC501-PTNUM
      *    ̾Υ
           MOVE    PTINF-KANANAME      TO  HC501-KANANAME
      *    ̾
           MOVE    PTINF-NAME          TO  HC501-NAME
      *
           MOVE    WRK-SEX             TO  HC501-SEX
      *    ǯ
           MOVE    WRK-BIRTHDAY        TO  HC501-BIRTH
      *    ǯ
           MOVE    WRK-AGE-HEN         TO  HC501-AGE
      *    ̾
           MOVE    WRK-BTUNAME         TO  HC501-BYOTO
      *    ¼ֹ
           MOVE    WRK-ROOMNO          TO  HC501-ROOMNO
      *    
           MOVE    WRK-SYSYMD          TO  HC501-SRYYMD
      *
      *    ɥ
           MOVE    SYS-1010-NAME       TO  HC501-DRNAME
      *
      *    
           PERFORM VARYING     IDX2    FROM    1   BY  1
                   UNTIL       IDX2    >   WRK-IDX-MAX
               MOVE    WRK-NAIYOU (IDX IDX2)
                                           TO  HC501-NAIYO (IDX2)
           END-PERFORM
      *
      *    
           PERFORM VARYING     IDX-B   FROM    1   BY  1
                   UNTIL       IDX-B   >   3
               IF      WRK-BIKOH  (IDX-B)  NOT =   SPACE
                   MOVE    WRK-BIKOH  (IDX-B)  TO  HC501-BIKOH (IDX-B)
               END-IF
           END-PERFORM
      *
           MOVE    SPA-OPID            TO  HC501-OPID
      *
           .
       300-HC501-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ƭ
      *****************************************************************
       200-HEAD-PRINT-SEC             SECTION.
      *
           INITIALIZE                  WRK-SYOHOU-AREA
           INITIALIZE                  WRK-BIKOU-COMMENT-AREA
           MOVE    1                   TO  IDX-H
           MOVE    1                   TO  WRK-PAGE-MAX
           MOVE    ZERO                TO  IDX-LINE
      *
      *    ФԽ
           PERFORM 2001-HEAD-HENSYU-SEC
      *
           MOVE    ORCHC501-DRCD       TO  WRK-DRCD
           PERFORM 2002-DRCD-HENSYU-SEC
      *    ֤ϥꥢ
           MOVE    SPACE               TO  WRK-SYSYMD
           MOVE    SPACE               TO  WRK-TIME-G
           INITIALIZE                      WRK-TIME-G
      *    ǯ
           MOVE    SPACE               TO  WRK-AGE-HEN
      *    
           PERFORM 3003-PRINT-SYORI-SEC
      *
           .
       200-HEAD-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼϽ
      *****************************************************************
       400-SYOKI-PRINT-SEC             SECTION.
      *
      *    եϣУţ
           MOVE    SPA-HOSPNUM         TO  HC01PARA-HOSPNUM
           MOVE    "HC50"              TO  HC01PARA-FORM-ID
           MOVE    SPA-TERMID          TO  HC01PARA-TERMID
           MOVE    SYS-TIME            TO  HC01PARA-SYOHMS
      *    ѹ
           ADD     1                   TO  WRK-PAGE
           MOVE    WRK-PAGE            TO  HC01PARA-CNT
           OPEN    OUTPUT               PRT-FILE
      *
           .
       400-SYOKI-PRINT-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ
      *****************************************************************
       400-PRINT-SEC                SECTION.
      *
      *ѥǡ
            WRITE  HC501
      *
            CLOSE                       PRT-FILE
      *
            INITIALIZE                 ORCSMKPRTAREA
            MOVE   "HC01.sh"           TO  MKPRT-ID
            MOVE   "AKHC501.red"         TO  MKPRT-DIA
            MOVE   SPACE               TO  MKPRT-DEF
            MOVE   HC01PARA            TO  MKPRT-DAT
            MOVE   SYS-1034-PRTNM(6)   TO  MKPRT-PRTNM
            MOVE   ""        TO  MKPRT-INFO
      *      CALL   "ORCSMKPRT1"        USING
            CALL   "ORCSMKPRTSITE1"     USING
                                       ORCSMKPRTAREA
                                       SPA-AREA
      *
           .
       400-PRINT-EXT.
           EXIT.
      *****************************************************************
      *    ģº
      *****************************************************************
       500-DELETE-SEC                   SECTION.
      *
      *    Ģɼ
           INITIALIZE                  ORDERPRT-REC
           MOVE    SPA-HOSPNUM         TO  ORDERPRT-HOSPNUM
           MOVE    SPA-PTID            TO  ORDERPRT-PTID
           MOVE    ORCHC501-PTNUM      TO  ORDERPRT-PTNUM
           MOVE    SPA-NYUGAIKBN       TO  ORDERPRT-NYUGAIKBN
           MOVE    ORCHC501-SRYKA      TO  ORDERPRT-SRYKA
           MOVE    ORCHC501-HKNCOMBI   TO  ORDERPRT-HKNCOMBI
      *    ƥ
           MOVE    ORCHC501-SYSYMD     TO  ORDERPRT-SYSYMD
      *    ȯ
           MOVE    ORCHC501-PRINTYMD   TO  ORDERPRT-PRINTYMD
      *    ȯԻ
           MOVE    ORCHC501-PRINTHMS   TO  ORDERPRT-PRINTHMS
      *    Ģɼʬ
           MOVE    WRK-PRTKBN          TO  ORDERPRT-PRTKBN
      *
           MOVE    ORDERPRT-REC        TO  MCPDATA-REC
           MOVE    "tbl_orderprt"      TO  MCP-TABLE
           MOVE    "del1"              TO  MCP-PATHNAME
           MOVE    "DBDELETE"          TO  MCP-FUNC
grpsys     CALL    "ORCDBMAIN"         USING   MCPAREA
                                               MCPDATA-REC
                                               SPA-AREA
           IF      MCP-RC          NOT =   ZERO
               DISPLAY "ORCHC501 ORDERPRT DEL ERR:"  MCP-RC
                       ",KEY:" ORDERPRT-KEY
               MOVE    1               TO  ORCHC501-RC
           END-IF
           .
       500-DELETE-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ѵ
      *****************************************************************
       500-HENKAN-SEC                 SECTION.
      *
           INITIALIZE                  ORCSKANACHKAREA
           MOVE    "2"                 TO  KANACHK-SYORI
           MOVE    WRK-MOJI            TO  KANACHK-MAE-INPUT
           CALL    "ORCSKANACHK"       USING
                                       ORCSKANACHKAREA
           IF     (KANACHK-RC          =   ZERO )  AND
                  (KANACHK-MAX         >   ZERO )
               MOVE    KANACHK-OUT-INPUT(1:KANACHK-MAX)
                                           TO  WRK-ZENKAKU-G
           ELSE
               MOVE    WRK-MOJI            TO  WRK-ZENKAKU-G
           END-IF
      *
           .
       500-HENKAN-EXT.
           EXIT.
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       510-SEIWA-HEN-SEC        SECTION.
      *
           INITIALIZE                      STS-AREA-DAY
           INITIALIZE                      LNK-DAY2-AREA
           MOVE    "21"                TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD            TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING   STS-AREA-DAY
                                               LNK-DAY2-AREA
           MOVE    LNK-DAY2-EDTYMD3    TO  WRK-HENYMDG
           .
       510-SEIWA-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ƥ祭ɹ
      *****************************************************************
       900-SYSKANRI-READ-SEC         SECTION.
      *
      **** MOVE    ZERO                TO  WRK-MOJISU
      *    PERFORM VARYING     IDXS    FROM    8   BY  -1
      *            UNTIL       IDXS    <       1
      *        IF      SYS-KBNCD(IDXS:1)   NOT =   SPACE
      *            MOVE    IDXS            TO  WRK-MOJISU 
      *            MOVE    1               TO  IDXS
      *        END-IF
      *    END-PERFORM
      *    IF      WRK-MOJISU          <   8
      *        COMPUTE IDXS            =   WRK-MOJISU  +  1
      *        MOVE    "%"             TO  SYS-KBNCD(IDXS:1)
      **** END-IF
      *
           MOVE    ORCHC501-SRYYMD     TO  SYS-STYUKYMD
           MOVE    ORCHC501-SRYYMD     TO  SYS-EDYUKYMD
      *
           MOVE    SPA-HOSPNUM         TO  SYS-HOSPNUM
           MOVE    SYSKANRI-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key10"             TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
           IF      MCP-RC              =   ZERO
               MOVE    "tbl_syskanri"      TO  MCP-TABLE
               MOVE    "key10"             TO  MCP-PATHNAME
               PERFORM 920-DBFETCH-SEC
           END-IF
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  SYSKANRI-REC
               MOVE    ZERO                TO  FLG-SYSKANRI
           ELSE
               INITIALIZE                      SYSKANRI-REC
               MOVE    1                   TO  FLG-SYSKANRI
           END-IF
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key10"             TO  MCP-PATHNAME
           PERFORM 990-DBCLOSE-SEC
      *
           .
       900-SYSKANRI-READ-EXT.
           EXIT.
      *****************************************************************
      *    ԥޥɤ߹
      *****************************************************************
       900-PTINF-READ-SEC         SECTION.
      *
           MOVE    PTINF-REC           TO  MCPDATA-REC
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
           IF      MCP-RC              =   ZERO
               PERFORM 920-DBFETCH-SEC
           END-IF
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  PTINF-REC
               MOVE    ZERO                TO  FLG-PTINF
           ELSE
               INITIALIZE                      PTINF-REC
               MOVE    1                   TO  FLG-PTINF
           END-IF
           MOVE    "tbl_ptinf"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           PERFORM 990-DBCLOSE-SEC
      *
           .
       900-PTINF-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɹ
      *****************************************************************
       910-TENSU-READ-SEC         SECTION.
      *
           INITIALIZE                      TNS-TENSU-REC
           MOVE    WRK-SRYCD           TO  TNS-SRYCD
           MOVE    WRK-SRYYMD          TO  TNS-YUKOSTYMD
                                           TNS-YUKOEDYMD
      *
           MOVE    SPA-HOSPNUM         TO  TNS-HOSPNUM
           MOVE    TNS-TENSU-REC       TO  MCPDATA-REC
           MOVE    "tbl_tensu"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
           IF      MCP-RC              =   ZERO
               PERFORM 920-DBFETCH-SEC
           END-IF
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  TNS-TENSU-REC
               MOVE    ZERO                TO  FLG-TENSU
           ELSE
               INITIALIZE                      TNS-TENSU-REC
               MOVE    1                   TO  FLG-TENSU
           END-IF
      *
           MOVE    "tbl_tensu"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           PERFORM 990-DBCLOSE-SEC
      *
           .
       910-TENSU-READ-EXT.
           EXIT.
      *****************************************************************
      *    Ģɼɹ
      *****************************************************************
       900-ORDERPRT-READ-SEC                SECTION.
      *
           PERFORM 920-DBFETCH-SEC
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  ORDERPRT-REC
               MOVE    ZERO                TO  FLG-ORDERPRT
           ELSE
               INITIALIZE                      ORDERPRT-REC
               MOVE    1                   TO  FLG-ORDERPRT
           END-IF
           .
       900-ORDERPRT-READ-EXT.
           EXIT.
      *****************************************************************
      *    ɹ
      *****************************************************************
       900-PTNYUINRRK-READ-SEC                SECTION.
      *
           PERFORM 920-DBFETCH-SEC
           IF      MCP-RC              =   ZERO
               MOVE    MCPDATA-REC         TO  PTNYUINRRK-REC
               MOVE    ZERO                TO  FLG-PTNYUINRRK
           ELSE
               INITIALIZE                      PTNYUINRRK-REC
               MOVE    1                   TO  FLG-PTNYUINRRK
           END-IF
           .
       900-PTNYUINRRK-READ-EXT.
           EXIT.
      *****************************************************************
      *    ơ֥븡
      *****************************************************************
       910-DBSELECT-SEC                SECTION.
      *
           MOVE    "DBSELECT"      TO  MCP-FUNC
grpsys     CALL    "ORCDBMAIN"         USING   MCPAREA
                                               MCPDATA-REC
                                               SPA-AREA
      *
           .
       910-DBSELECT-EXT.
           EXIT.
      *****************************************************************
      *    ģɤ߹߽
      *****************************************************************
       920-DBFETCH-SEC                 SECTION.
      *
           MOVE    "DBFETCH"       TO  MCP-FUNC
grpsys     CALL    "ORCDBMAIN"         USING   MCPAREA
                                               MCPDATA-REC
                                               SPA-AREA
      *
           .
      *
       920-DBFETCH-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģ¥
      *****************************************************************
       990-DBCLOSE-SEC           SECTION.
      *
           MOVE    "DBCLOSECURSOR"     TO  MCP-FUNC
grpsys     CALL    "ORCDBMAIN"         USING   MCPAREA
                                               MCPDATA-REC
                                               SPA-AREA
      *
           .
       990-DBCLOSE-EXT.
           EXIT.
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC                 SECTION.
      *
           .
       300-END-EXT.
           EXIT.
      *
