      *******************************************************************
      * Project code name "ORCA"
      * ɸ쥻ץȥեȡJMA standard receipt software
      * Copyright(C) 2002 JMA (Japan Medical Association)
      *
      * This program is part of "JMA standard receipt software".
      *
      *     This program is distributed in the hope that it will be useful
      * for further advancement in medical care, according to JMA Open
      * Source License, but WITHOUT ANY WARRANTY.
      *     Everyone is granted permission to use, copy, modify and
      * redistribute this program, but only under the conditions described
      * in the JMA Open Source License. You should have received a copy of
      * this license along with this program. If not, stop using this
      * program and contact JMA, 2-28-16 Honkomagome, Bunkyo-ku, Tokyo,
      * 113-8621, Japan.
      ********************************************************************
       IDENTIFICATION          DIVISION.
       PROGRAM-ID.             AKHCN620.
      *****************************************************************
      *  ƥ̾        : ϣңã
      *  ֥ƥ̾    : Ģ
      *  ݡͥ̾  : ĢʣȣãΣ
      *              : 
      *      ȼ        
      *  08/09/09    NACL-¿Ǽ   
      *****************************************************************
      *  ץཤ
      * Maj/Min/Rev                
      * 04.06.00     NACL-¿Ǽ  11/02/22  ˡɥб
      * 04.06.00     NACL-    11/03/10  ̳祳б
      * 04.06.00     NACL-¿Ǽ  12/09/XX  ѣҥб
      * 04.07.00     NACL-¿Ǽ  12/09/XX  ̾б
      * 04.08.00     NACL-¿Ǽ  13/07/XX  ѥб¾
      *****************************************************************
      *
       ENVIRONMENT             DIVISION.
       CONFIGURATION               SECTION.
       INPUT-OUTPUT                SECTION.
       FILE-CONTROL.
      *
      *    ѥǡ
           SELECT  PRT-FILE        ASSIGN  HC01PARA
                                   FILE    STATUS  IS  STS-PARA.
      *
       DATA                    DIVISION.
       FILE                        SECTION.
      *
      *    ѥǡ
       FD  PRT-FILE.
       01  PRT-REC.
           03  PRT-PRTDATA         PIC X(50000).
      *
       WORKING-STORAGE             SECTION.
      *
      *    ѥǡ ̾ΰ 
           COPY    "CPCOMMONPRT.INC".
      *
      *    Ģɼΰ
           COPY    "AKHCN620.INC".
      *
      *    ѣĢɼΰ
           COPY    "HCM62Q.INC".
      *
      *    ƥΰ
       01  SYS-AREA.
           03  SYS-TIME            PIC 9(08).
      *
      *    ơΰ
       01  STS-AREA.
           03  STS-PARA            PIC X(02).
      *
      *    ե饰ΰ
       01  FLG-AREA.
           03  FLG-SYSKANRI        PIC 9(01).
           03  FLG-PTINF           PIC 9(01).
           03  FLG-TENSU           PIC 9(01).
           03  FLG-TENSUPLUS       PIC 9(01).
      *
           03  FLG-KBN             PIC 9(01).
      *
           03  FLG-OK              PIC 9(01).
           03  FLG-SP              PIC 9(01).
           03  FLG-SOURYO          PIC 9(01).
           03  FLG-HEN-END         PIC 9(01).
      *
           03  FLG-QROK            PIC 9(01).
      *
      *    ΰ
       01  CNT-AREA.
           03  CNT-PAGE            PIC 9(03).
           03  CNT-LINE            PIC 9(02).
           03  CNT-ZAI             PIC 9(03).
           03  CNT-SRY             PIC 9(02).
           03  CNT-KAISU           PIC 9(01).
      *H24.9
           03  IDX-QR1             PIC 9(04).
           03  IDX-QR2             PIC 9(04).
           03  IDX-QRB             PIC 9(04).
           03  IDX-QY              PIC 9(04).
           03  IDQ                 PIC 9(04).
      *
      *    ǥåΰ
       01  IDX-AREA.
           03  IDX-STR             PIC 9(04).
           03  IDX-STR1            PIC 9(04).
           03  IDX-KET             PIC 9(04).
           03  IDX-KET1            PIC 9(04).
      *
           03  IDX-ZAI             PIC 9(03).
           03  IDX-SRY             PIC 9(02).
           03  MAX-GYO             PIC 9(04).
           03  IDX-KBN             PIC 9(01).
      *
      *    ΰ
       01  WRK-AREA.
           03  WRK-SYMD.
               05  WRK-SYY         PIC 9(04).
               05  WRK-SMM         PIC 9(02).
               05  WRK-SDD         PIC 9(02).
      *
           03  WRK-HENSURYO        PIC X(11).
           03  WRK-SURYO           PIC 9(05)V9(05).
           03  WRK-SURYO-R         REDEFINES   WRK-SURYO.
               05  WRK-SURYO-S1    PIC 9(05).
               05  WRK-SURYO-S2    PIC 9(05).
           03  WRK-SURYO-X.
               05  WRK-SURYO-Z1    PIC ZZZZZ.
               05  WRK-SURYO-Z1-9  REDEFINES   WRK-SURYO-Z1
                                   PIC ZZZZ9.
               05  WRK-SURYO-Z2    PIC X(01).
               05  WRK-SURYO-Z3    PIC ZZZZZ.
      *
           03  WRK-ZZ9             PIC ZZ9.
           03  WRK-Z9              PIC Z9.
      *
           03  WRK-SRYCD           PIC X(09).
      *
           03  WRK-SRYSYUMEI           PIC X(20).
      *
           03  WRK-HEN-AREA.
               05  WRK-HENLINE.
                   07  WRK-HEN-CNT     PIC X(03).
                   07  WRK-HEN-DATA    PIC X(50).
                   07  WRK-HEN-Y1      PIC X(01).
               05  WRK-HENNAIYO    PIC X(26).
               05  WRK-YKZNAME     PIC X(100).
               05  WRK-YOUHOU      PIC X(100).
               05  WRK-SURYOU      PIC X(11).
               05  WRK-TANI        PIC X(12).
               05  WRK-KAISUU      PIC X(03).
      *
           03  WRK-HENSYUDATA      PIC X(100).
      *
           03  WRK-SSTKIJUNCD      PIC X(05).
           03  WRK-HENKBN-G.
               05  WRK-HENKBN      PIC 9(08)V9(05)
                                               OCCURS  5.
      *
           03  WRK-YOURYO          PIC 9(05)V9(05).
           03  WRK-KAISU           PIC 9(01).
      *
      *H24.9
      *    ѣԽ
           03  WRK-TNS-NAME        PIC X(100).
           03  WRK-YOH-NAME-G.
               05  WRK-YOH-NAME        OCCURS   5.
                   07  WRK-YOH-NAME-1  PIC X(02).
                   07  WRK-YOH-NAME-2  PIC X(98).
           03  WRK-FILE-CNT        PIC 9(02).
           03  WRK-SYS-TIME        PIC 9(08).
      *    ե̾
           03  WRK-CSV-FILE        PIC X(256).
           03  WRK-DIRECTORY       PIC X(256).
           03  WRK-DIRECTORY-E     PIC X(256).
           03  WRK-DRCD-E          PIC X(05).
      *ver.4.7
           03  WRK-SHO-NAME        PIC X(80).
           03  WRK-SHO-TANINAME    PIC X(20).
      *
           03  WRK-QRKBN           PIC X(01).
      *
       01  WRK-MEISAI-AREA.
           03  WRK-M-KETA              PIC 9(03).
      *
      *    ΰ
       01  WRK-SRY-AREA.
           03  WRK-ZAIKAIKEI       PIC 9(03).
           03  WRK-SRYKBN          PIC X(02).
           03  WRK-SRYSYUKBN       PIC X(03).
           03  WRK-SRY-TBL         OCCURS  50.
               05  WRK-SRYSURYO    PIC 9(05)V9(05).
               05  WRK-SRYKAISU    PIC 9(03).
               05  WRK-INPUTCOMENT PIC X(80).
               05  WRK-YOURYOU-TBL.
                   07  WRK-YOURYOU     PIC 9(05)V9(05)
                                       OCCURS   5.
      *
      *    Խΰ
       01  WRK-LINE-AREA.
           03  WRK-LINE-1.
               05  WRK-PTNAME      PIC X(54).
           03  WRK-LINE-2.
               05  FILLER          PIC X(06)   VALUE   "".
               05  FILLER          PIC X(01)   VALUE   SPACE.
               05  WRK-BTUNAME     PIC X(20).
               05  FILLER          PIC X(01)   VALUE   SPACE.
               05  WRK-ROOMNO      PIC X(06).
           03  WRK-LINE-3.
               05  FILLER          PIC X(06)   VALUE   "".
               05  FILLER          PIC X(01)   VALUE   SPACE.
               05  WRK-SRYYMDG     PIC X(04).
               05  WRK-SRYYMDY     PIC X(02).
               05  FILLER          PIC X(02)   VALUE   "ǯ".
               05  WRK-SRYYMDM     PIC X(02).
               05  FILLER          PIC X(02)   VALUE   "".
               05  WRK-SRYYMDD     PIC X(02).
               05  FILLER          PIC X(02)   VALUE   "".
               05  FILLER          PIC X(01)   VALUE   SPACE.
               05  FILLER          PIC X(08)   VALUE   "ݸ̾".
               05  FILLER          PIC X(01)   VALUE   SPACE.
               05  WRK-DRNAME      PIC X(18).
           03  WRK-LINE-4.
               05  WRK-HOSPNAME    PIC X(54).
           03  WRK-LINE-5.
               05  WRK-HOSPTEL     PIC X(15).
           03  WRK-LINE-SEN.
               05  FILLER          PIC X(54)   VALUE
               "".
      *
      *
      *    Կ
       01  MAX-LINE                PIC 9(03)   VALUE    58.
       01  MAX-LINE2               PIC 9(03)   VALUE    34.
      *
      *    ż̾ơ֥
           COPY    "CPORCSSRYSYU.INC".
      *
      *H24.9
      *    ѣҰ
       01  QR-FILE-NAME.
           03  FILLER              PIC X(05)   VALUE   "/tmp/".
           03  QR-FILE-HOSPNUM     PIC 9(02)   VALUE   ZERO.
           03  QR-FILE-FORM-ID     PIC X(05)   VALUE   SPACE.
           03  FILLER              PIC X(01)   VALUE   ".".
           03  QR-FILE-TERMID      PIC X(32)   VALUE   SPACE.
           03  FILLER              PIC X(01)   VALUE   ".".
           03  QR-FILE-SYOHMS      PIC 9(08)   VALUE   ZERO.
           03  FILLER              PIC X(04)   VALUE   ".qr_".
           03  QR-FILE-ID          PIC 9(02)   VALUE   ZERO.
           03  FILLER              PIC X(04)   VALUE   ".png".
      *
       01  KUHAKU-FILE-NAME        PIC X(512).
      *    β
       01  KUHAKU-NAME.
           03  FILLER          PIC X(05)   VALUE   "data/".
           03  FILLER          PIC X(15)   VALUE   "transparent.jpg".
      *ѣ̾
       01  CONS-FORM-ID        PIC X(05)   VALUE   "HC62Q".
      *H24.9
      *
      *01  CONS-CSVDIR             PIC X(28)   VALUE
      *                            "/var/lib/jma-receipt/jahistc".
      *    ץ४ץѥ᥿
       01  PARA-AREA.
           03  PARA-COMMENT2           PIC X(01).
      *H24.9
           03  PARA-QRKBN              PIC X(01).
           03  PARA-SHOHIN             PIC X(01).
      ***  03  PARA-CSVKBN             PIC X(01).
      ***  03  PARA-CSVDIR             PIC X(256).
      *
           03  WRK-PARA-NAME           PIC X(25).
           03  WRK-PARA                PIC X(50).
      *
      *****************************************************************
      *    ե쥤
      *****************************************************************
      *
      *    ƥޥ
           COPY    "CPSYSKANRI.INC".
      *    ŵؾݴܾ
           COPY    "CPSK1001.INC".
      *
      *    ŵؾݽϡϢ
           COPY    "CPSK1002.INC".
      *
      *    
           COPY    "CPSK1010.INC".
      *
      *    ץ̾ƾ
           COPY    "CPSK1034.INC".
      *
      *    ŵԽ
           COPY    "CPSK1900.INC".
      *    ŵ̾Խ
           COPY    "CPSK1901.INC".
      *    ŵؽԽ
           COPY    "CPSK1902.INC".
      *
      *    ޥ
           COPY    "CPTENSU.INC".
      *
      *    ղþޥ
       01  TENSUPLUS-REC.
           COPY    "CPTENSUPLUS.INC".
      *
      *****************************************************************
      *    ֥ץѡΰ
      *****************************************************************
      *
      *    Ѵ
           COPY    "CPORCSDAY.INC".
           COPY    "CPORCSLNK.INC".
      *
      *    Ѵ
           COPY    "CPORCSKANACHK.INC".
      *
      *    ģ¸
           COPY    "MCPAREA".
           COPY    "MCPDATA.INC".
      *
      *    饤Ģɼ̾ץ̾ѥ
           COPY    "CPORCSPRTNM.INC".
      *
      *    ѥ᥿
           COPY    "CPORCSMKPRT.INC".
      *
      *    ץ४ץԽѥ᥿
           COPY    "CPORCSPRGOPTION.INC".
      *
      *ѣб
      *    ѣҥǡ֥ѥ᥿
           COPY    "CPORCSQRCSV62.INC".
      *    եǥ쥯ȥֻꥵ
           COPY    "CPMKPASS.INC".
      *    ե¸ߥå
           COPY    "CPORCSFILECHK.INC".
      *    ãӣ֥եѥ᥿
      **** COPY    "CPORCSFILEENCODE.INC".
      *    ǥ쥯ȥѥ᥿
      ***  COPY    "CPORCSMKDIR.INC".
      *
      *
      *****************************************************************
      *    Ϣΰ
      *****************************************************************
       LINKAGE                     SECTION.
      *
       COPY    "COMMON-SPA".
       COPY    "CPORCHCN62.INC".
      *
      ******************************************************************
       PROCEDURE               DIVISION
                                   USING
                                   SPA-AREA
                                   ORCHCN62AREA.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       000-PROC-SEC                SECTION.
      *
           PERFORM 100-INIT-SEC
      *
           PERFORM 200-MAIN-SEC
      *
           PERFORM 300-END-SEC
      *
           EXIT    PROGRAM
           .
      *****************************************************************
      *    
      *****************************************************************
       100-INIT-SEC                SECTION.
      *
           INITIALIZE                  SYS-AREA
           INITIALIZE                  STS-AREA
           INITIALIZE                  FLG-AREA
           INITIALIZE                  IDX-AREA
           INITIALIZE                  WRK-AREA
           INITIALIZE                  CNT-AREA
      *H24.9
           INITIALIZE                  ORCSQRCSV62AREA
           MOVE    ZERO                TO  IDX-QR1
           MOVE    ZERO                TO  IDX-QRB
      *
           ACCEPT  SYS-TIME    FROM    TIME
      *
      *    ץ̾ƾ
           INITIALIZE                     SYS-1034-REC
           INITIALIZE                     ORCSPRTNMAREA
           MOVE    "2"                 TO  ORCSPRTNM-KBN
           MOVE    SPA-SYSYMD          TO  ORCSPRTNM-SRYYMD
           MOVE    "1"                 TO  ORCSPRTNM-NYUGAIKBN
           CALL    "ORCSPRTNM"         USING
                                       ORCSPRTNMAREA
                                       SPA-AREA
                                       SYS-1034-REC
           IF      ORCSPRTNM-RC    NOT =   ZERO
               INITIALIZE                  SYS-1034-REC
           END-IF
      *
      *    ŵؾݴܾ
           PERFORM 900-1001-READ-SEC
      *
      *    ŵؾݽϡϢ
           PERFORM 900-1002-READ-SEC
      *
      *    ŵԽ
           PERFORM 900-1900-READ-SEC
      *
      *    ݸ̾θ
           PERFORM 1001-DRCDNAME-SEC
      *
      *    ¼Խ
           MOVE    ORCHCN62-BTUNAME    TO  WRK-BTUNAME
           MOVE    ORCHCN62-ROOMNO     TO  WRK-ROOMNO
      *
      *    ż̥ơ֥륻å
           CALL    "ORCSSRYSYU"        USING
                                       MSYU-DATA-REC
      *
      *    ץ४ץ
           INITIALIZE                  PARA-AREA
      *    ȣ
           MOVE    "COMMENT2"      TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)   TO  PARA-COMMENT2
      *H24.9
      *    ѣҰ
           MOVE    "QRKBN"         TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)   TO  PARA-QRKBN
      *    ̾
           MOVE    "SHOHIN"        TO  WRK-PARA-NAME
           PERFORM 1001-OPTION-CALL-SEC
           MOVE    WRK-PARA(1:1)   TO  PARA-SHOHIN
      ***  CSVե
      *    MOVE    "CSVKBN"        TO  WRK-PARA-NAME
      *    PERFORM 1001-OPTION-CALL-SEC
      *    MOVE    WRK-PARA(1:1)   TO  PARA-CSVKBN
      *    CSVեǥ쥯ȥ
      *    MOVE    "CSVDIR"        TO  WRK-PARA-NAME
      *    PERFORM 1001-OPTION-CALL-SEC
      *    MOVE    ORCSPRGOPTION-OT-PARA(1:)
      *                            TO  PARA-CSVDIR
      *
      *    IF     (PARA-QRKBN      =   "1")  AND
      *           (PARA-CSVKBN     =   "1")
      *        IF      PARA-CSVDIR     =   SPACE
      *            MOVE    CONS-CSVDIR     TO  WRK-DIRECTORY
      *        ELSE
      *            MOVE    PARA-CSVDIR     TO  WRK-DIRECTORY
      *            INITIALIZE                  ORCSMKDIRAREA
      *            MOVE    WRK-DIRECTORY   TO  MKDIR-DIRECTORY
      *            MOVE    "0755"          TO  MKDIR-MODE
      *            MOVE    ZERO            TO  MKDIR-RESULT
      *            CALL    "orcmkdir"   USING  ORCSMKDIRAREA
      *            IF      MKDIR-RESULT NOT =  ZERO
      *                MOVE    "0"             TO  PARA-CSVKBN
      *            END-IF
      *        END-IF
      *    ELSE
      *        MOVE    "0"             TO  PARA-CSVKBN
      *        MOVE    SPACE           TO  WRK-DIRECTORY
      *****END-IF
      *ver.4.7
      *    ѣҰȽ
           IF      ORCHCN62-QRKBN      =   SPACE
      *        Τʤץ
               MOVE    PARA-QRKBN          TO  WRK-QRKBN
           ELSE
      *        ΰ
               IF      ORCHCN62-QRKBN      =   "1"
                   MOVE    "1"             TO  WRK-QRKBN
               END-IF
           END-IF
      *
           .
       100-INIT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ݸ̾Խ
      *****************************************************************
       1001-DRCDNAME-SEC           SECTION.
      *
      *    ݸ̾Խ
           MOVE    SPACE               TO  SYS-1010-REC
           INITIALIZE                      SYS-1010-REC
           MOVE    "1010"              TO  SYS-1010-KANRICD
           MOVE    ORCHCN62-DRCD       TO  SYS-1010-KBNCD
           MOVE    SYS-1010-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-1010-REC
           ELSE
               INITIALIZE                  SYS-1010-REC
           END-IF
      *
           MOVE    SYS-1010-NAME       TO  WRK-DRNAME
      *
           .
       1001-DRCDNAME-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵԽɤ߹
      *****************************************************************
       900-1900-READ-SEC           SECTION.
      *
      *    ŵԽɤ߹
           MOVE    SPACE               TO  SYS-1900-REC
           INITIALIZE                      SYS-1900-REC
           MOVE    "1900"              TO  SYS-1900-KANRICD
           MOVE    "*"                 TO  SYS-1900-KBNCD
           MOVE    SYS-1900-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC     TO  SYS-1900-REC
               IF      SYS-1900-PRTKBN(18) NOT =   SPACE
      *            ŵ̾Խ
                   PERFORM 900-1901-READ-SEC
      *            ŵؽԽ
                   PERFORM 900-1902-READ-SEC
               END-IF
           ELSE
               INITIALIZE                  SYS-1900-REC
           END-IF
      *
           .
       900-1900-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ץ४ץѥ᥿
      *****************************************************************
       1001-OPTION-CALL-SEC        SECTION.
      *
           INITIALIZE                  ORCSPRGOPTIONAREA
           MOVE    "ORCHCN62"      TO  ORCSPRGOPTION-PRGID
           MOVE    WRK-PARA-NAME   TO  ORCSPRGOPTION-IN-DATA
           CALL    "ORCSPRGOPTION"     USING
                                       SPA-AREA
                                       ORCSPRGOPTIONAREA
           MOVE    SPACE           TO  WRK-PARA
           IF      ORCSPRGOPTION-OT-TYPE   =   1
      *        ȾѤǣʸܤͤȤ
               MOVE    ORCSPRGOPTION-OT-PARA(1:1)  TO  WRK-PARA(1:1)
           END-IF
      *
           .
       1001-OPTION-CALL-EXT.
           EXIT.
      *
      *****************************************************************
      *    硡
      *****************************************************************
       200-MAIN-SEC                SECTION.
      *
      *    ĢɼȣţľԽ
           PERFORM 210-HEAD-HENSYU-SEC
      *
      *    ǡʤʤޤ
           PERFORM VARYING IDX-ZAI     FROM    1   BY  1
                   UNTIL ( IDX-ZAI     >   ORCHCN62-ZAI-MAX  )
      *        Ģɼ£ϣģپԽ
               PERFORM 220-BODY-HENSYU-SEC
           END-PERFORM
      *
           IF      IDX-ZAI             >   ZERO
      *
      *        ĢɼƣϣϣԾԽ
               PERFORM 430-FOOT-SET-SEC
      *
      *        Ģɼ
               PERFORM 400-PRT-WRITE-SEC
           END-IF
      *
      *H24.9
      *    ѣҰ
           IF     (WRK-QRKBN           =   "1"  )
              OR  (ORCHCN62-CSVKBN     NOT =   SPACE )
      *        ɥʤоݳ
               PERFORM 500-QR-SYORI-SEC
           END-IF
      *
           .
       200-MAIN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼȣţľԽ
      *****************************************************************
       210-HEAD-HENSYU-SEC         SECTION.
      *
      *    
           MOVE    ORCHCN62-SRYYMD     TO  WRK-SYMD
           PERFORM 31012-SEIWA-HEN-SEC
           MOVE    LNK-DAY2-EDTYMD3-G  TO  WRK-SRYYMDG
           MOVE    LNK-DAY2-EDTYMD1-Y  TO  WRK-SRYYMDY
           MOVE    LNK-DAY2-EDTYMD1-M  TO  WRK-SRYYMDM
           MOVE    LNK-DAY2-EDTYMD1-D  TO  WRK-SRYYMDD
      *
      *    Ի̾
           MOVE    SPACE               TO  WRK-PTNAME
           IF      SPA-NAME        NOT =   SPACE
               STRING  SPA-NAME        DELIMITED  BY  SPACE
                       ""          DELIMITED  BY  SIZE
                       INTO            WRK-PTNAME
               END-STRING
           ELSE
               STRING  SPA-KANANAME    DELIMITED  BY  SPACE
                       ""          DELIMITED  BY  SIZE
                       INTO            WRK-PTNAME
               END-STRING
           END-IF
           INSPECT WRK-PTNAME          REPLACING  ALL "  "  BY  ""
      *
      *    ĢɼȣţĥåȽ
           INITIALIZE                  HCM62
           MOVE    ZERO            TO  CNT-LINE
           PERFORM 410-HEAD-SET-SEC
      *
           .
       210-HEAD-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Ģɼ£ϣģپԽ
      *****************************************************************
       220-BODY-HENSYU-SEC         SECTION.
      *
           MOVE    ZERO            TO  FLG-SOURYO
      *
      *    ޾Խΰ˥å
           INITIALIZE                  WRK-SRY-AREA
      *
           MOVE    ORCHCN62-ZAIKAIKEI(IDX-ZAI)
                                   TO  WRK-ZAIKAIKEI
           MOVE    ORCHCN62-SRYSYUKBN(IDX-ZAI)
                                   TO  WRK-SRYSYUKBN
           MOVE    ORCHCN62-SRYKBN(IDX-ZAI)
                                   TO  WRK-SRYKBN
      *
           MOVE    SPACE           TO  WRK-SSTKIJUNCD
      *
           IF      ORCHCN62-YSRYCD(IDX-ZAI) NOT =   SPACE
               MOVE    ORCHCN62-YSRYCD(IDX-ZAI) TO  WRK-SRYCD
      *        
               PERFORM 900-TENSU-READ-SEC
      *        
               MOVE    SPACE           TO  WRK-SSTKIJUNCD
               MOVE    ZERO            TO  CNT-KAISU
               PERFORM VARYING IDX-KBN     FROM    1   BY  1
                       UNTIL   IDX-KBN     >   5
                   IF      TNS-SSTKIJUNCD(IDX-KBN) =   1
                       COMPUTE CNT-KAISU   =   CNT-KAISU   +   1
                       MOVE    "1"         TO  WRK-SSTKIJUNCD(IDX-KBN:1)
                   END-IF
               END-PERFORM
           END-IF
      *
           MOVE    ZERO            TO  CNT-SRY
      *H24.9
      *    ѣб
           MOVE    ZERO                TO  IDX-QR2
           PERFORM VARYING IDX-SRY     FROM    1   BY  1
                   UNTIL ( IDX-SRY     >   50  )
                   OR    ( ORCHCN62-SRYCD(IDX-ZAI IDX-SRY)  =   SPACE )
      *        Խ
               PERFORM 230-NAIYO-HENSYU-SEC
           END-PERFORM
      *
      *    ޾󤬤н
           IF      CNT-SRY             >   ZERO
      *        Խ
               PERFORM 240-KAISUU-HENSYU-SEC
      *
               MOVE    WRK-LINE-SEN      TO  HCM62-SEN(CNT-LINE)
           END-IF
      *
           .
       220-BODY-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Խ
      *****************************************************************
       230-NAIYO-HENSYU-SEC        SECTION.
      *
      *ver.4.7
      *    ̾
           MOVE    SPACE               TO  WRK-SHO-TANINAME
           MOVE    SPACE               TO  WRK-SHO-NAME
           IF     (PARA-SHOHIN         =   "1"  )
             AND  (ORCHCN62-SHO-SRYCD(IDX-ZAI IDX-SRY)
                                   NOT =   SPACE )
               MOVE    ORCHCN62-SHO-SRYCD (IDX-ZAI IDX-SRY)
                                           TO  WRK-SRYCD
      *        
               PERFORM 900-TENSU-READ-SEC
               MOVE    TNS-TANINAME        TO  WRK-SHO-TANINAME
               MOVE    TNS-NAME            TO  WRK-SHO-NAME
           END-IF
      *
      *
      *    
           MOVE    ORCHCN62-SRYCD(IDX-ZAI IDX-SRY)
                                       TO  WRK-SRYCD
      *    ʸоݳ
           IF      WRK-SRYCD   =   "820000047"
               GO  TO  230-NAIYO-HENSYU-EXT
           END-IF
      *
           PERFORM 900-TENSU-READ-SEC
      *
      *ver.4.7
      *    ̾
           IF      ORCHCN62-SHO-SRYCD(IDX-ZAI IDX-SRY)  NOT =   SPACE
      *        ̾Τñ̤Ͼ̾ɤƤȤ
               IF      WRK-SHO-TANINAME    NOT =   SPACE
                   MOVE    WRK-SHO-TANINAME    TO  TNS-TANINAME
               END-IF
               IF      WRK-SHO-NAME        NOT =   SPACE
                   MOVE    WRK-SHO-NAME        TO  TNS-NAME
               END-IF
           END-IF
      *!
      *
           COMPUTE CNT-SRY             =   CNT-SRY     +   1
      *
           MOVE    ORCHCN62-SRYSURYO(IDX-ZAI IDX-SRY)
                                       TO  WRK-SRYSURYO(CNT-SRY)
           MOVE    ORCHCN62-SRYKAISU(IDX-ZAI IDX-SRY)
                                       TO  WRK-SRYKAISU(CNT-SRY)
           MOVE    ORCHCN62-INPUTCOMENT(IDX-ZAI IDX-SRY)
                                       TO  WRK-INPUTCOMENT(CNT-SRY)
           MOVE    ORCHCN62-YOURYOU-TBL(IDX-ZAI IDX-SRY)
                                   TO  WRK-YOURYOU-TBL(CNT-SRY)
      *
           INITIALIZE                  WRK-HEN-AREA
      *
      *    ѣ
           MOVE    SPACE               TO  WRK-TNS-NAME
           MOVE    SPACE               TO  WRK-YOH-NAME-G
           MOVE    ZERO                TO  IDX-QY
      *
      *    ܤֹɽ
           IF      CNT-SRY             =   1
               MOVE    IDX-ZAI         TO  WRK-Z9
               MOVE    WRK-Z9          TO  WRK-HEN-CNT(1:2)
               MOVE    ")"             TO  WRK-HEN-CNT(3:1)
      *        ͤϿ̾Խ
               IF      WRK-SRYKBN      =   "31"
                                       OR  "32"
                                       OR  "33"
                   PERFORM 2301-SRYKBN-HENSYU-SEC
               END-IF
           END-IF
      *
           IF      TNS-SRYCD(1:3)  =   "001"
      *        ˡԽ
               PERFORM 2302-YOUHOU-HENSYU-SEC
           ELSE
      *        ̾Խ
               PERFORM 2303-YKZNAME-HENSYU-SEC
      *        ޡ¾Τ߿̤
               IF    ( WRK-SRYCD(1:1)      =   "6"   ) OR
                     ( WRK-SRYCD(1:1)      =   "7"   ) OR
                     ( WRK-SRYCD(1:3)      =   "059" )
      *            Խ
                   PERFORM 2304-SURYOU-HENSYU-SEC
                   IF    ( PARA-COMMENT2       =   "1"   )
      *               ޤΤ
                    AND  ( WRK-SRYCD(1:1)      =   "6"   )
      *                Խ
                       PERFORM 240-YOURYOU-HENSYU-SEC
                   END-IF
               END-IF
           END-IF
      *H24.9
      *    ѣ̾Խ
           PERFORM 5001-QRMEISAI-HENSYU-SEC
      *
           .
       230-NAIYO-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ż̾Խ
      *****************************************************************
       2301-SRYKBN-HENSYU-SEC       SECTION.
      *
           IF      WRK-SRYSYUKBN       =   SPACE
               MOVE    WRK-SRYKBN          TO  WRK-SRYSYUKBN(1:2)
               MOVE    "0"                 TO  WRK-SRYSYUKBN(3:1)
           END-IF
           IF      WRK-SRYSYUKBN(3:1)  NOT =   "0"
               MOVE    "0"                 TO  WRK-SRYSYUKBN(3:1)
           END-IF
           SET     MSYU-IDX            TO  1
           SEARCH      MSYU-TBL-OCC    VARYING   MSYU-IDX
               AT   END
                   MOVE    SPACE           TO  WRK-SRYSYUMEI
               WHEN    WRK-SRYSYUKBN       =   MSYU-SRYSYUKBN(MSYU-IDX)
                   MOVE    MSYU-SRYMEI (MSYU-IDX)
                                           TO  WRK-SRYSYUMEI
           END-SEARCH
      *
           MOVE    WRK-SRYSYUMEI       TO  WRK-HENSYUDATA
           PERFORM 250-HENSYU-SYORI-SEC
           .
       2301-SRYKBN-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ˡԽ
      *****************************************************************
       2302-YOUHOU-HENSYU-SEC       SECTION.
      *
      *    ̾Ƚ
           IF      WRK-INPUTCOMENT(CNT-SRY)    =   SPACE
               STRING  ""            DELIMITED   BY  SIZE
                       TNS-NAME        DELIMITED   BY  SPACE
                       ""            DELIMITED   BY  SIZE
                       INTO            WRK-YOUHOU
               END-STRING
           ELSE
               STRING  ""            DELIMITED   BY  SIZE
                       WRK-INPUTCOMENT(CNT-SRY)
                                       DELIMITED   BY  SPACE
                       ""            DELIMITED   BY  SIZE
                       INTO            WRK-YOUHOU
               END-STRING
           END-IF
      *    ѣ
           MOVE    WRK-YOUHOU      TO  WRK-TNS-NAME
      *
           MOVE    WRK-YOUHOU      TO  WRK-HENSYUDATA
           PERFORM 250-HENSYU-SYORI-SEC
      *
           .
       2302-YOUHOU-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ̾Խ
      *****************************************************************
       2303-YKZNAME-HENSYU-SEC      SECTION.
      *
           MOVE    SPACE           TO  WRK-YKZNAME
      *
      *    Խ
           IF      TNS-SRYCD(1:1)  =   "6"
      *        ԽȽ
               IF      TNSP-SOURYOHENKBN   =   1
                   MOVE    1               TO  FLG-SOURYO
               END-IF
               MOVE    TNS-NAME            TO  WRK-YKZNAME
           ELSE
      *        ȤХåȡʤ̾Υå
               IF      WRK-INPUTCOMENT(CNT-SRY)    =   SPACE
                   MOVE    TNS-NAME        TO  WRK-YKZNAME
               ELSE
                   MOVE    WRK-INPUTCOMENT(CNT-SRY)
                                           TO  WRK-YKZNAME
               END-IF
           END-IF
      *    ѣ
           MOVE    WRK-YKZNAME     TO  WRK-TNS-NAME
      *
           MOVE    WRK-YKZNAME     TO  WRK-HENSYUDATA
           PERFORM 250-HENSYU-SYORI-SEC
      *
           .
       2303-YKZNAME-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Խ
      *****************************************************************
       2304-SURYOU-HENSYU-SEC       SECTION.
      *
           MOVE    SPACE           TO  WRK-HENNAIYO
      *
           MOVE    WRK-SRYSURYO(CNT-SRY)   TO  WRK-SURYO
           IF      WRK-SURYO       >   0
               PERFORM 250-ZHEN-SURYO-SET-SEC
               MOVE    WRK-HENSURYO        TO  WRK-SURYOU
           END-IF
      *
           STRING  " "             DELIMITED  BY  SIZE
                   WRK-SURYOU      DELIMITED  BY  SPACE
                   " "             DELIMITED  BY  SIZE
                   TNS-TANINAME    DELIMITED  BY  SPACE
                   INTO            WRK-HENNAIYO
           END-STRING
      *
           PERFORM 250-MHEN-SYORI-SET-SEC
      *
           .
       2304-SURYOU-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Խ
      *****************************************************************
       240-KAISUU-HENSYU-SEC       SECTION.
      *
           MOVE    SPACE           TO  WRK-HENNAIYO
      *
      *    ɽޤΤߤξ硢ѤƱͤɽȤ
           IF    ( WRK-SRYKBN      =   "21" )  AND
                 ( FLG-SOURYO      =   1    )
               MOVE    "23"            TO  WRK-SRYKBN
           END-IF
      *
           MOVE    WRK-ZAIKAIKEI   TO  WRK-SURYO
           IF      WRK-SURYO       >   0
               PERFORM 250-ZHEN-SURYO-SET-SEC
               MOVE    WRK-HENSURYO    TO  WRK-KAISUU
           END-IF
      *
           EVALUATE    WRK-SRYKBN
      *        
               WHEN    "21"
                   STRING  " "             DELIMITED  BY  SIZE
                           WRK-KAISUU      DELIMITED  BY  SPACE
                           " "             DELIMITED  BY  SIZE
                           "ʬ"          DELIMITED  BY  SPACE
                           INTO            WRK-HENNAIYO
                   END-STRING
      *        
               WHEN    "22"
                   STRING  " "             DELIMITED  BY  SIZE
                           WRK-KAISUU      DELIMITED  BY  SPACE
                           " "             DELIMITED  BY  SIZE
                           "ʬ"          DELIMITED  BY  SPACE
                           INTO            WRK-HENNAIYO
                   END-STRING
      *        
               WHEN    "31"
               WHEN    "32"
               WHEN    "33"
                   STRING  " "             DELIMITED  BY  SIZE
                           WRK-KAISUU      DELIMITED  BY  SPACE
                           " "             DELIMITED  BY  SIZE
                           "ʬ"            DELIMITED  BY  SPACE
                           INTO            WRK-HENNAIYO
                   END-STRING
      *       ѡ
               WHEN    OTHER
                   MOVE    SPACE           TO  WRK-HENNAIYO
           END-EVALUATE
      *
           IF      WRK-HENNAIYO    NOT =   SPACE
               PERFORM 250-MHEN-SYORI-SET-SEC
           END-IF
      *
           .
       240-KAISUU-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    Խ
      *****************************************************************
       240-YOURYOU-HENSYU-SEC       SECTION.
      *
      *    ̥ʬå
           MOVE    WRK-SRYSURYO(CNT-SRY)   TO  WRK-SURYO
           MOVE    CNT-KAISU       TO  WRK-KAISU
           MOVE    ZERO            TO  WRK-HENKBN-G
           MOVE    ZERO            TO  FLG-KBN
           PERFORM VARYING IDX-KBN     FROM    1   BY  1
                   UNTIL ( IDX-KBN     >   5 )
                   OR    ( FLG-KBN     =   1 )
      *        ̥ɤä
               IF      WRK-YOURYOU(CNT-SRY IDX-KBN)     >   ZERO
      *            ꤷƤʤѻʤ饨顼
                   IF      WRK-SSTKIJUNCD(IDX-KBN:1)   NOT  =   "1"
                       MOVE    1               TO  FLG-KBN
                   ELSE
      *                ̤¿票顼
                       IF      WRK-SURYO      <
                                   WRK-YOURYOU(CNT-SRY IDX-KBN) 
                           MOVE    1               TO  FLG-KBN
                       ELSE
                           MOVE    WRK-YOURYOU(CNT-SRY IDX-KBN) 
                                               TO  WRK-HENKBN(IDX-KBN)
      *                    ̥ɻʬϷ׻ˤʤ
                           COMPUTE WRK-SURYO  =   WRK-SURYO
                               -   WRK-YOURYOU(CNT-SRY IDX-KBN) 
                           COMPUTE WRK-KAISU   =   WRK-KAISU   -   1
                       END-IF
                   END-IF
               END-IF
           END-PERFORM
      *    顼ʤȴ
           IF      FLG-KBN  =   1
               GO  TO  240-YOURYOU-HENSYU-EXT
           END-IF
      *
      *    ʬ򥻥å
           COMPUTE WRK-YOURYO   =   WRK-SURYO  /   WRK-KAISU
      *    ڤʤȴ
           IF      WRK-SURYO    =   WRK-YOURYO *   WRK-KAISU
               PERFORM VARYING  IDX-KBN    FROM    1   BY  1
                       UNTIL  ( IDX-KBN    >   5 )
      *            ѻɤꤷƤʤϳäΤ򥻥å
                   IF      WRK-SSTKIJUNCD(IDX-KBN:1)   =   "1"
                       IF      WRK-HENKBN(IDX-KBN)     =   0
                           MOVE    WRK-YOURYO  TO  WRK-HENKBN(IDX-KBN)
                       END-IF
                   END-IF
               END-PERFORM
           ELSE
               GO  TO  240-YOURYOU-HENSYU-EXT
           END-IF
      *
           PERFORM VARYING IDX-KBN     FROM    1   BY  1
                   UNTIL ( IDX-KBN     >   5 )
      *        ̥ɤä
               IF      WRK-HENKBN(IDX-KBN)    >   ZERO
                   MOVE    SPACE       TO  WRK-HENSYUDATA
      *
                   EVALUATE    IDX-KBN
                       WHEN    1
                           MOVE    "ī"    TO  WRK-HENSYUDATA(1:6)
                       WHEN    2
                           MOVE    "롧"    TO  WRK-HENSYUDATA(1:6)
                       WHEN    3
                           MOVE    "ͼ"    TO  WRK-HENSYUDATA(1:6)
                       WHEN    4
                           MOVE    ""    TO  WRK-HENSYUDATA(1:6)
                       WHEN    5
                           MOVE    ""    TO  WRK-HENSYUDATA(1:6)
                   END-EVALUATE
      *
                   MOVE    WRK-HENKBN(IDX-KBN)
                                               TO  WRK-SURYO
                   PERFORM 250-ZHEN-SURYO-SET-SEC
                   MOVE    WRK-HENSURYO        TO  WRK-SURYOU
      *
                   STRING  " "             DELIMITED  BY  SIZE
                           WRK-SURYOU      DELIMITED  BY  SPACE
                           " "             DELIMITED  BY  SIZE
                           TNS-TANINAME    DELIMITED  BY  SPACE
                           INTO            WRK-HENSYUDATA(7:)
                   END-STRING
      *H24.9
      *            ѣҡ
                   ADD     1                   TO  IDX-QY
                   MOVE    WRK-HENSYUDATA      TO  WRK-YOH-NAME(IDX-QY)
      *
                   PERFORM 250-HENSYU-SYORI-SEC
               END-IF
           END-PERFORM
      *
           .
       240-YOURYOU-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ǥå
      *****************************************************************
       250-PAGE-CHK-SEC            SECTION.
      *
           EVALUATE    TRUE
      *        ڡĶƤ
               WHEN    CNT-LINE            =    MAX-LINE
                   PERFORM 400-PRT-WRITE-SEC
                   INITIALIZE                  HCM62
                   MOVE    ZERO            TO  CNT-LINE
                   PERFORM 410-HEAD-SET-SEC
      *         WHEN    CNT-LINE            =   MAX-LINE2
      *        ȾڡĶƤڡ
      *             PERFORM 410-HEAD-SET-SEC
           END-EVALUATE
      *
           COMPUTE CNT-LINE    =   CNT-LINE    +   1
      *
           .
       250-PAGE-CHK-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼԽ
      *****************************************************************
       250-ZHEN-SURYO-SET-SEC      SECTION.
      *
      *    ̣Խ
           MOVE    SPACE           TO  WRK-SURYO-X
           MOVE    WRK-SURYO-S1    TO  WRK-SURYO-Z1
      *
      *    ̾ʲԽ
           MOVE    ZERO            TO  FLG-SP
           PERFORM VARYING IDX-STR     FROM    5   BY  -1
                   UNTIL   IDX-STR     <   1
               IF      WRK-SURYO-S2(IDX-STR:1) NOT =   ZERO
                   MOVE    1           TO  FLG-SP
               END-IF
               IF      FLG-SP      =   1
                   MOVE    WRK-SURYO-S2(IDX-STR:1)
                                        TO  WRK-SURYO-Z3(IDX-STR:1)
               END-IF
           END-PERFORM
      *
           IF      WRK-SURYO-Z3    NOT =   SPACE
               MOVE    "."             TO  WRK-SURYO-Z2
               IF  WRK-SURYO-X(1:5)    =   SPACE
                   MOVE    WRK-SURYO-S1    TO  WRK-SURYO-Z1-9
               END-IF
           END-IF
      *
           MOVE    SPACE           TO  WRK-HENSURYO
           MOVE    ZERO            TO  IDX-STR1
           PERFORM VARYING IDX-STR     FROM    1   BY  1
                   UNTIL   IDX-STR     >   11
               IF      WRK-SURYO-X(IDX-STR:1)  NOT =   SPACE
                   COMPUTE IDX-STR1    =   IDX-STR1    +   1
                   MOVE  WRK-SURYO-X(IDX-STR:1)
                                           TO  WRK-HENSURYO(IDX-STR1:1)
               END-IF
           END-PERFORM
      *
           .
       250-ZHEN-SURYO-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼʸԽ
      *****************************************************************
       250-MHEN-SYORI-SET-SEC      SECTION.
      *
      *    
           INITIALIZE                  ORCSKANACHKAREA
           MOVE    "1"                 TO  KANACHK-SYORI
           MOVE    WRK-HENNAIYO        TO  KANACHK-MAE-INPUT
           CALL    "ORCSKANACHK"       USING
                                       ORCSKANACHKAREA
           MOVE    KANACHK-MAX         TO  WRK-M-KETA
      *
           COMPUTE IDX-KET1            =   44  -   WRK-M-KETA
      *
      *    ʸŤʤϣԲɽ
           IF    ( HCM62-NAIYO1(CNT-LINE)(IDX-KET1:)   NOT =   SPACE )
           OR    ( HCM62-NAIYO2(CNT-LINE)              NOT =   SPACE )
               PERFORM 250-PAGE-CHK-SEC
               MOVE    WRK-HENNAIYO    TO  HCM62-NAIYO2(CNT-LINE)
           ELSE
               MOVE    WRK-HENNAIYO    TO  HCM62-NAIYO2(CNT-LINE)
           END-IF
      *
           .
       250-MHEN-SYORI-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼʸԽ
      *****************************************************************
       250-HENSYU-SYORI-SEC        SECTION.
      *
      *    
           INITIALIZE                  ORCSKANACHKAREA
           MOVE    "1"                 TO  KANACHK-SYORI
           MOVE    WRK-HENSYUDATA      TO  KANACHK-MAE-INPUT
           CALL    "ORCSKANACHK"       USING
                                       ORCSKANACHKAREA
           MOVE    KANACHK-MAX         TO  WRK-M-KETA
      *
           MOVE    1                   TO  IDX-STR
           MOVE    40                  TO  MAX-GYO
           MOVE    ZERO                TO  FLG-HEN-END
           PERFORM
                   UNTIL   FLG-HEN-END     =   1
               MOVE    WRK-HENSYUDATA(IDX-STR:MAX-GYO)
                                           TO  WRK-HEN-DATA
               PERFORM 250-PAGE-CHK-SEC
               MOVE    WRK-HENLINE         TO  HCM62-NAIYO1(CNT-LINE)
               MOVE    SPACE               TO  WRK-HENLINE
               COMPUTE IDX-STR             =   IDX-STR
                                           +   MAX-GYO
               IF      IDX-STR             >   WRK-M-KETA
                   MOVE    1               TO  FLG-HEN-END
               END-IF
           END-PERFORM
      *
           .
       250-HENSYU-SYORI-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼϽ
      *****************************************************************
       400-PRT-WRITE-SEC           SECTION.
      *
      *    ѥե
           MOVE    SPA-HOSPNUM     TO  HC01PARA-HOSPNUM
           MOVE    "HC62"          TO  HC01PARA-FORM-ID
           MOVE    SPA-TERMID      TO  HC01PARA-TERMID
           MOVE    SYS-TIME        TO  HC01PARA-SYOHMS
           MOVE    ORCHCN62-CNT    TO  HC01PARA-CNT(1:3)
           MOVE    CNT-PAGE        TO  HC01PARA-CNT(4:3)
           OPEN    OUTPUT              PRT-FILE
           MOVE    SPACE           TO  PRT-REC
      *
      *    ѥǡ
           MOVE    HCM62           TO  PRT-PRTDATA
           WRITE                       PRT-REC
      *
           CLOSE                       PRT-FILE
      *
      *    Ģɼ
           INITIALIZE                  ORCSMKPRTAREA
           MOVE    "HC01.sh"       TO  MKPRT-ID
           MOVE    "AKHCN620.red"     TO  MKPRT-DIA
           MOVE    SPACE           TO  MKPRT-DEF
           MOVE    HC01PARA        TO  MKPRT-DAT
           MOVE    SYS-1034-PRTNM(11)
                                   TO  MKPRT-PRTNM
           MOVE   "Ģ"       TO  MKPRT-INFO
           CALL   "ORCSMKPRTSITE1"     USING
                                       ORCSMKPRTAREA
                                       SPA-AREA
      *
           .
       400-PRT-WRITE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼȣţĥåȽ
      *****************************************************************
       410-HEAD-SET-SEC            SECTION.
      *
           COMPUTE CNT-PAGE    =   CNT-PAGE    +   1
           MOVE    CNT-PAGE        TO  WRK-ZZ9
      *
           COMPUTE CNT-LINE    =   CNT-LINE    +   1
           MOVE    WRK-LINE-1      TO  HCM62-NAIYO1(CNT-LINE)
      *
           MOVE    SPACE           TO  HCM62-NAIYO2(CNT-LINE)
           STRING  WRK-ZZ9         DELIMITED  BY  SIZE
                   " "           DELIMITED  BY  SIZE
                   INTO            HCM62-NAIYO2(CNT-LINE)
           END-STRING
      *
      *    ¼
           COMPUTE CNT-LINE    =   CNT-LINE    +   1
           MOVE    WRK-LINE-2      TO  HCM62-NAIYO1(CNT-LINE)
      *
      *    ݸ
           COMPUTE CNT-LINE    =   CNT-LINE    +   1
           MOVE    WRK-LINE-3      TO  HCM62-NAIYO1(CNT-LINE)
      *
           MOVE    WRK-LINE-SEN    TO  HCM62-SEN(CNT-LINE)
      *
           .
       410-HEAD-SET-EXT.
           EXIT.
      *
      *****************************************************************
      *    ĢɼƣϣϣԥåȽ
      *****************************************************************
       430-FOOT-SET-SEC            SECTION.
      *
      *    ŵ̾Υå
           PERFORM 250-PAGE-CHK-SEC
           MOVE    WRK-LINE-4      TO  HCM62-NAIYO1(CNT-LINE)
      *
      *    ŵֹ楻å
           PERFORM 250-PAGE-CHK-SEC
           MOVE    WRK-LINE-5      TO  HCM62-NAIYO1(CNT-LINE)
      *
           .
       430-FOOT-SET-EXT.
           EXIT.
      *
      *H24.9
      *****************************************************************
      *    ѣҺԽ
      *****************************************************************
       5001-QRMEISAI-HENSYU-SEC            SECTION.
      *
           IF      ORCHCN62-SRYKBN (IDX-ZAI)    =   "98"
      *        ͥ
               PERFORM 50012-QR-BIKOU-HEN-SEC
           ELSE
      *        ѣҺԽ
               PERFORM 50011-QR-MEISAI-HEN-SEC
           END-IF
      *
           .
       5001-QRMEISAI-HENSYU-EXT.
           EXIT.
      *
      *****************************************************************
      *    ѣҺԽ
      *****************************************************************
       50011-QR-MEISAI-HEN-SEC            SECTION.
      *
           IF      IDX-QR2             =   ZERO
               ADD     1                   TO  IDX-QR1
      *
      *        ޲
               MOVE    ORCHCN62-ZAIKAIKEI (IDX-ZAI)
                                       TO  ORCSQRCSV62-KAISU (IDX-QR1)
      *        Ŷʬ
               MOVE    ORCHCN62-SRYKBN (IDX-ZAI)
                                       TO  ORCSQRCSV62-SRYKBN (IDX-QR1)
      *        ż
               MOVE    ORCHCN62-SRYSYUKBN (IDX-ZAI)
                                       TO  ORCSQRCSV62-SRYSYUKBN
                                                              (IDX-QR1)
           END-IF
      *
           ADD     1                   TO  IDX-QR2
           MOVE    ORCHCN62-SRYCD(IDX-ZAI IDX-SRY)
                                       TO  ORCSQRCSV62-SRYCD
                                                       (IDX-QR1 IDX-QR2)
           MOVE    WRK-TNS-NAME        TO  ORCSQRCSV62-TNS-NAME
                                                       (IDX-QR1 IDX-QR2)
           MOVE    TNS-TANINAME        TO  ORCSQRCSV62-TANINAME
                                                       (IDX-QR1 IDX-QR2)
           MOVE    ORCHCN62-SRYSURYO(IDX-ZAI IDX-SRY)
                                       TO  ORCSQRCSV62-SURYOU
                                                       (IDX-QR1 IDX-QR2)
           MOVE    TNS-YKZKBN          TO  ORCSQRCSV62-YKZKBN
                                                       (IDX-QR1 IDX-QR2)
           IF      TNSP-SOURYOHENKBN   =   1
      *        
               MOVE    "1"             TO  ORCSQRCSV62-NAIHENKBN
                                                       (IDX-QR1 IDX-QR2)
           END-IF
           IF      ORCHCN62-SRYCD(IDX-ZAI IDX-SRY)(1:3) =   "001"
      *        ˡȶʬ
               MOVE    TNS-KENTAICOMMENT   TO  ORCSQRCSV62-YCOMMNTKBN
                                                  (IDX-QR1 IDX-QR2)
           END-IF
      *
      *    
           PERFORM VARYING     IDX-QY  FROM    1   BY  1
                   UNTIL      (IDX-QY      >   5   )
                           OR (WRK-YOH-NAME (IDX-QY)   =   SPACE )
                           OR (IDX-QR2     >=   100  )
               ADD     1                   TO  IDX-QR2
               MOVE    "810000001"         TO  ORCSQRCSV62-SRYCD
                                                       (IDX-QR1 IDX-QR2)
               MOVE    WRK-YOH-NAME-2(IDX-QY)
                                           TO  ORCSQRCSV62-TNS-NAME
                                                       (IDX-QR1 IDX-QR2)
           END-PERFORM
      *
           .
       50011-QR-MEISAI-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ѣͥȽ
      *****************************************************************
       50012-QR-BIKOU-HEN-SEC            SECTION.
      *
           ADD     1                   TO  IDX-QRB
           IF      IDX-QRB              <=  10
               MOVE    WRK-TNS-NAME        TO  ORCSQRCSV62-BIKOU
                                                       (IDX-QRB)
           END-IF
           .
       50012-QR-BIKOU-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ѣҰ
      *****************************************************************
       500-QR-SYORI-SEC            SECTION.
      *
           MOVE    ORCHCN62-SRYYMD     TO  ORCSQRCSV62-SRYYMD
      *    ŵؾ
           MOVE    SYS-1001-PREFNUM    TO  ORCSQRCSV62-PREFNUM
           MOVE    SYS-1001-HOSPCD     TO  ORCSQRCSV62-HOSPCD
           MOVE    SYS-1001-HOSPSBT    TO  ORCSQRCSV62-HOSPSBT
           MOVE    WRK-HOSPNAME        TO  ORCSQRCSV62-HOSPNAME
      *    ɥ
           MOVE    SYS-1010-KANANAME   TO  ORCSQRCSV62-DR-KANANAME
           MOVE    SYS-1010-NAME       TO  ORCSQRCSV62-DR-NAME
           MOVE    ORCHCN62-DRCD       TO  ORCSQRCSV62-DRCD
      *    Ծ
           MOVE    SPA-NAME            TO  ORCSQRCSV62-NAME
           MOVE    SPA-KANANAME        TO  ORCSQRCSV62-KANANAME
           MOVE    SPA-SEX             TO  ORCSQRCSV62-SEX
           MOVE    SPA-BIRTHDAY        TO  ORCSQRCSV62-BIRTHDAY
      *    
           COMPUTE WRK-SYS-TIME        =   SYS-TIME
                                       +   ORCHCN62-CNT
      *    ե̾
           MOVE    CONS-FORM-ID        TO  ORCSQRCSV62-FORM-ID
      *    ե̾ȤΩƹ
           MOVE    WRK-SYS-TIME        TO  ORCSQRCSV62-SYSTIME
      *
           IF      ORCHCN62-CSVKBN     NOT =   SPACE
      *        ãӣ¸ե̾ 
               PERFORM 50034-QRCSVFILE-SEC
               MOVE    WRK-CSV-FILE        TO  ORCSQRCSV62-CSV-FILENAME
           END-IF
      *ver.4.7
           MOVE    ORCHCN62-CSVKBN     TO  ORCSQRCSV62-CSV-KBN
           MOVE    WRK-QRKBN           TO  ORCSQRCSV62-QR-KBN
           MOVE    ORCHCN62-CNT        TO  ORCSQRCSV62-CNT
      *
           CALL    "ORCSQRCSV62"       USING
                                       SPA-AREA
                                       ORCSQRCSV62AREA
      *
      *    ѣҥ᡼
           IF     (ORCSQRCSV62-RET-COUNT   >   ZERO)
             AND  (ORCSQRCSV62-RET-COUNT   <=  12  )
               PERFORM 5003-QRIMAGE-HEN-SEC
           END-IF
           .
       500-QR-SYORI-EXT.
           EXIT.
      *
      *****************************************************************
      *        ѣҥ᡼
      *****************************************************************
       5003-QRIMAGE-HEN-SEC      SECTION.
      *
      *    ѣҶ
           INITIALIZE                  ORCSMKPASSAREA
           MOVE    KUHAKU-NAME         TO  MKPASS-IN-01
           CALL    "ORCSMKPASS"        USING
                                       ORCSMKPASSAREA
           MOVE    MKPASS-OT-01        TO  KUHAKU-FILE-NAME
      *
           MOVE    ZERO                TO  FLG-QROK
           MOVE    SPACE               TO  HCM62Q
           MOVE    ZERO                TO  CNT-LINE
      *
           MOVE    ZERO                TO  WRK-FILE-CNT
           PERFORM VARYING     IDQ     FROM    1  BY  1
                   UNTIL       IDQ     >   12
               MOVE    KUHAKU-FILE-NAME    TO  HCM62Q-IMAGE-1 (IDQ)
               ADD     1                   TO  WRK-FILE-CNT
               IF      WRK-FILE-CNT        <=  ORCSQRCSV62-RET-COUNT 
                   MOVE    SPA-HOSPNUM         TO  QR-FILE-HOSPNUM
                   MOVE    CONS-FORM-ID        TO  QR-FILE-FORM-ID
                   MOVE    SPA-TERMID          TO  QR-FILE-TERMID
                   MOVE    WRK-SYS-TIME        TO  QR-FILE-SYOHMS
                   MOVE    WRK-FILE-CNT        TO  QR-FILE-ID
      *            ե¸ߥå
                   INITIALIZE                      ORCSFILECHKAREA
                   MOVE    QR-FILE-NAME        TO  FILECHK-NAME
                   CALL    "ORCSFILECHK"       USING
                                               ORCSFILECHKAREA
                   IF      FILECHK-RC          =   ZERO OR 2
                       MOVE   QR-FILE-NAME     TO  HCM62Q-IMAGE-1 (IDQ)
                       MOVE   1                TO  FLG-QROK
                   END-IF
      *
                   IF      WRK-FILE-CNT        =   1
      *                ĢɼȣţĥåȽ
                       PERFORM 50010-HEAD-SET-SEC
                   END-IF
               END-IF
           END-PERFORM
      *
           IF      FLG-QROK            =   1
      *        ĢɼϽ
               PERFORM 50031-QRPRT-WRITE-SEC
           END-IF
           .
       5003-QRIMAGE-HEN-EXT.
           EXIT.
      *****************************************************************
      *    ĢɼȣţĥåȽ
      *****************************************************************
       50010-HEAD-SET-SEC            SECTION.
      *
           COMPUTE CNT-PAGE        =   CNT-PAGE    +   1
           MOVE    CNT-PAGE        TO  WRK-ZZ9
      *
           COMPUTE CNT-LINE        =   CNT-LINE    +   1
           MOVE    WRK-LINE-1      TO  HCM62Q-NAIYO1(CNT-LINE)
      *
           MOVE    SPACE           TO  HCM62Q-NAIYO2(CNT-LINE)
           STRING  WRK-ZZ9         DELIMITED  BY  SIZE
                   " "           DELIMITED  BY  SIZE
                   INTO            HCM62Q-NAIYO2(CNT-LINE)
           END-STRING
      *
      *    ¼
           COMPUTE CNT-LINE    =   CNT-LINE    +   1
           MOVE    WRK-LINE-2      TO  HCM62Q-NAIYO1(CNT-LINE)
      *
           COMPUTE CNT-LINE    =   CNT-LINE    +   1
           MOVE    WRK-LINE-3      TO  HCM62Q-NAIYO1(CNT-LINE)
      *
           MOVE    WRK-LINE-SEN    TO  HCM62Q-SEN(CNT-LINE)
      *
           MOVE    4               TO  CNT-LINE
           MOVE    WRK-LINE-SEN    TO  HCM62Q-SEN(CNT-LINE)
      *    ŵ̾Υå
           MOVE    WRK-LINE-4      TO  HCM62Q-NAIYO1(CNT-LINE)
      *
      *    ŵֹ楻å
           COMPUTE CNT-LINE    =   CNT-LINE    +   1
           MOVE    WRK-LINE-5      TO  HCM62Q-NAIYO1(CNT-LINE)
           .
       50010-HEAD-SET-EXT.
           EXIT.
      *
      *
      *****************************************************************
      *    ĢɼϽ
      *****************************************************************
       50031-QRPRT-WRITE-SEC           SECTION.
      *
      *    ѥե
           MOVE    SPA-HOSPNUM     TO  HC01PARA-HOSPNUM
           MOVE    "HC62"          TO  HC01PARA-FORM-ID
           MOVE    SPA-TERMID      TO  HC01PARA-TERMID
           MOVE    SYS-TIME        TO  HC01PARA-SYOHMS
           MOVE    ORCHCN62-CNT    TO  HC01PARA-CNT(1:3)
           MOVE    CNT-PAGE        TO  HC01PARA-CNT(4:3)
           OPEN    OUTPUT              PRT-FILE
           MOVE    SPACE           TO  PRT-REC
      *
      *    ѥǡ
           MOVE    HCM62Q          TO  PRT-PRTDATA
           WRITE                       PRT-REC
      *
           CLOSE                       PRT-FILE
      *
      *    Ģɼ
           INITIALIZE                  ORCSMKPRTAREA
           MOVE    "HC01.sh"       TO  MKPRT-ID
           MOVE    "HCM62Q.red"    TO  MKPRT-DIA
           MOVE    SPACE           TO  MKPRT-DEF
           MOVE    HC01PARA        TO  MKPRT-DAT
           MOVE    SYS-1034-PRTNM(11)
                                   TO  MKPRT-PRTNM
           MOVE   "Ģ"       TO  MKPRT-INFO
           CALL   "ORCSMKPRT"          USING
                                       ORCSMKPRTAREA
                                       SPA-AREA
      *
           .
       50031-QRPRT-WRITE-EXT.
           EXIT.
      *
      *****************************************************************
      *    ãӣ֥ǡѴ
      *****************************************************************
       50034-QRCSVFILE-SEC             SECTION.
      *
           IF      ORCHCN62-DRCD       =   SPACE
               MOVE    "XXXXX"             TO  WRK-DRCD-E
           ELSE
               MOVE    ORCHCN62-DRCD       TO  WRK-DRCD-E
           END-IF
      *
      *    ե̾
           MOVE    SPACE               TO  WRK-CSV-FILE
           STRING  "okusuri_techo_"
                   ORCHCN62-SRYYMD     DELIMITED   BY  SIZE
                   "_"
                   WRK-DRCD-E          DELIMITED   BY  SIZE
                   "_"
                   SPA-SYSYMD          DELIMITED   BY  SIZE
                   "_"
                   WRK-SYS-TIME        DELIMITED   BY  SIZE
                   ".csv"
                                       INTO    WRK-CSV-FILE
           END-STRING
      *
      *****ǥ쥯ȥʰŵؼֹ
      *    INITIALIZE                      ORCSMKDIRAREA
      *    MOVE    SPACE               TO  WRK-DIRECTORY-E
      *    STRING  WRK-DIRECTORY       DELIMITED   BY  SPACE
      *            "/"
      *            SPA-HOSPNUM         DELIMITED   BY  SIZE
      *                                INTO    WRK-DIRECTORY-E
      *    END-STRING
      *    MOVE    WRK-DIRECTORY-E     TO  MKDIR-DIRECTORY
      *    MOVE    "0755"              TO  MKDIR-MODE
      *    MOVE    ZERO                TO  MKDIR-RESULT
      *    CALL    "orcmkdir"          USING   ORCSMKDIRAREA
      *    IF      MKDIR-RESULT     NOT =  ZERO
      *        MOVE    "0"                 TO  PARA-CSVKBN
      *        GO  TO  50034-QRCSVFILE-EXT
      *    END-IF
      *
      *    ǥ쥯ȥʿ
      *    INITIALIZE                      ORCSMKDIRAREA
      *    STRING  WRK-DIRECTORY-E     DELIMITED   BY  SPACE
      *            "/"
      *            SPA-SRYYMD          DELIMITED   BY  SIZE
      *                                INTO    MKDIR-DIRECTORY
      *    END-STRING
      *
      *    MOVE    MKDIR-DIRECTORY     TO  WRK-DIRECTORY-E
      *
      *    MOVE    "0755"              TO  MKDIR-MODE
      *    MOVE    ZERO                TO  MKDIR-RESULT
      *    CALL    "orcmkdir"          USING   ORCSMKDIRAREA
      *    IF      MKDIR-RESULT     NOT =  ZERO
      *        MOVE    "0"                 TO  PARA-CSVKBN
      *        GO  TO  50034-QRCSVFILE-EXT
      *    END-IF
      *
      *    IF      ORCHCN62-DRCD       =   SPACE
      *        MOVE    "XXXXX"             TO  WRK-DRCD-E
      *    ELSE
      *        MOVE    ORCHCN62-DRCD       TO  WRK-DRCD-E
      *    END-IF
      *    ե̾
      *    MOVE    SPACE               TO  WRK-CSV-FILE
      *    STRING  WRK-DIRECTORY-E     DELIMITED   BY  SPACE
      *            "/JAHISTC"
      *            SPA-HOSPNUM         DELIMITED   BY  SIZE
      *            SPA-PTNUM           DELIMITED   BY  SPACE
      *            "-"
      *            "1"
      *            SPA-SRYYMD          DELIMITED   BY  SIZE
      *            WRK-DRCD-E          DELIMITED   BY  SIZE
      *            SPA-SYSYMD          DELIMITED   BY  SIZE
      *            WRK-SYS-TIME        DELIMITED   BY  SIZE
      *            ".csv"
      *                                INTO    WRK-CSV-FILE
      **** END-STRING
      *
           .
       50034-QRCSVFILE-EXT.
           EXIT.
      *
      *
      *****************************************************************
      *    λ
      *****************************************************************
       300-END-SEC                 SECTION.
      *
           .
       300-END-EXT.
           EXIT.
      *
      *****************************************************************
      *    ܸѴ
      *****************************************************************
       31012-SEIWA-HEN-SEC         SECTION.
      *
           INITIALIZE                  STS-AREA-DAY
           INITIALIZE                  LNK-DAY2-AREA
           MOVE    "21"            TO  LNK-DAY2-IRAI
           MOVE    WRK-SYMD        TO  LNK-DAY2-YMD
           CALL    "ORCSDAY"           USING
                                       STS-AREA-DAY
                                       LNK-DAY2-AREA
      *     MOVE    LNK-DAY2-EDTYMD3
      *                             TO  WRK-HENYMDG
      *     INSPECT WRK-HENYMDG         REPLACING  ALL "  "  BY  ""
      *
           .
       31012-SEIWA-HEN-EXT.
           EXIT.
      *
      *****************************************************************
      *    ޥɤ߹
      *****************************************************************
       900-TENSU-READ-SEC          SECTION.
      *
           INITIALIZE                  TNS-TENSU-REC
           MOVE    WRK-SRYCD           TO  TNS-SRYCD
           MOVE    ORCHCN62-SRYYMD     TO  TNS-YUKOSTYMD
           MOVE    ORCHCN62-SRYYMD     TO  TNS-YUKOEDYMD
           MOVE    SPA-HOSPNUM         TO  TNS-HOSPNUM
           MOVE    TNS-TENSU-REC       TO  MCPDATA-REC
           MOVE    "tbl_tensu"         TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
      *
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_tensu"     TO  MCP-TABLE
               MOVE    "key"           TO  MCP-PATHNAME
               PERFORM 920-DBFETCH-SEC
               IF      MCP-RC          =   ZERO
                   MOVE    ZERO            TO  FLG-TENSU
                   MOVE    MCPDATA-REC     TO  TNS-TENSU-REC
               ELSE
                   MOVE    1               TO  FLG-TENSU
               END-IF
           ELSE
               MOVE    1               TO  FLG-TENSU
           END-IF
      *
           MOVE    "tbl_tensu"     TO  MCP-TABLE
           MOVE    "key"           TO  MCP-PATHNAME
           PERFORM 930-DBCLOSE-SEC
      *
      *    þ󸡺
           IF    ( TNS-SRYCD(1:1)      =   "6"  )  AND
                 ( FLG-TENSU           =   ZERO )
               PERFORM 900-TENSUPLUS-READ-SEC
           ELSE
               INITIALIZE              TENSUPLUS-REC
           END-IF
      *
           .
       900-TENSU-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ղþɤ߹
      *****************************************************************
       900-TENSUPLUS-READ-SEC           SECTION.
      *
           INITIALIZE                  TENSUPLUS-REC
           MOVE    SPA-HOSPNUM         TO  TNSP-HOSPNUM
           MOVE    WRK-SRYCD           TO  TNSP-SRYCD
           MOVE    ORCHCN62-SRYYMD     TO  TNSP-YUKOSTYMD
           MOVE    ORCHCN62-SRYYMD     TO  TNSP-YUKOEDYMD
      *
           MOVE    TENSUPLUS-REC       TO  MCPDATA-REC
           MOVE    "tbl_tensuplus"     TO  MCP-TABLE
           MOVE    "key"               TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
      *
           IF      MCP-RC          =   ZERO
               MOVE    "tbl_tensuplus" TO  MCP-TABLE
               MOVE    "key"           TO  MCP-PATHNAME
               PERFORM 920-DBFETCH-SEC
               IF      MCP-RC          =   ZERO
                   MOVE    ZERO            TO  FLG-TENSUPLUS
                   MOVE    MCPDATA-REC     TO  TENSUPLUS-REC
               ELSE
                   MOVE    1               TO  FLG-TENSUPLUS
                   INITIALIZE              TENSUPLUS-REC
               END-IF
           ELSE
               MOVE    1               TO  FLG-TENSUPLUS
               INITIALIZE              TENSUPLUS-REC
           END-IF
      *
           MOVE    "tbl_tensuplus" TO  MCP-TABLE
           MOVE    "key"           TO  MCP-PATHNAME
           PERFORM 930-DBCLOSE-SEC
      *
           .
       900-TENSUPLUS-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ƥޥɤ߹
      *****************************************************************
       900-SYSKANRI-READ-SEC       SECTION.
      *
           MOVE    SPA-HOSPNUM         TO  SYS-HOSPNUM
           MOVE    SPA-SYSYMD          TO  SYS-STYUKYMD
           MOVE    SPA-SYSYMD          TO  SYS-EDYUKYMD
      *
           MOVE    SYSKANRI-REC        TO  MCPDATA-REC
           MOVE    "tbl_syskanri"      TO  MCP-TABLE
           MOVE    "key10"             TO  MCP-PATHNAME
           PERFORM 910-DBSELECT-SEC
      *
           IF      MCP-RC              =   ZERO
               MOVE    "tbl_syskanri"      TO  MCP-TABLE
               MOVE    "key10"             TO  MCP-PATHNAME
               PERFORM 920-DBFETCH-SEC
               IF      MCP-RC              =   ZERO
                   MOVE    ZERO                TO  FLG-SYSKANRI
                   MOVE    MCPDATA-REC         TO  SYSKANRI-REC
               ELSE
                   MOVE    1                   TO  FLG-SYSKANRI
                   INITIALIZE                      SYSKANRI-REC
               END-IF
           ELSE
               MOVE    1               TO  FLG-SYSKANRI
               INITIALIZE                  SYSKANRI-REC
           END-IF
      *
           MOVE    "tbl_syskanri"  TO  MCP-TABLE
           MOVE    "key10"         TO  MCP-PATHNAME
           PERFORM 930-DBCLOSE-SEC
      *
           .
       900-SYSKANRI-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؾݴܾɤ߹
      *****************************************************************
       900-1001-READ-SEC           SECTION.
      *
      *    ŵؾݴܾɤ߹
           MOVE    SPACE               TO  SYS-1001-REC
           INITIALIZE                  SYS-1001-REC
           MOVE    "1001"              TO  SYS-1001-KANRICD
           MOVE    "*"                 TO  SYS-1001-KBNCD
           MOVE    SYS-1001-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-1001-REC
           ELSE
               INITIALIZE                  SYS-1001-REC
           END-IF
      *
           MOVE    SYS-1001-HOSPNAME   TO  WRK-HOSPNAME
      *
           .
       900-1001-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؾݽϡϢɤ߹
      *****************************************************************
       900-1002-READ-SEC           SECTION.
      *
      *    ŵؾݽϡϢɤ߹
           MOVE    SPACE               TO  SYS-1002-REC
           INITIALIZE                      SYS-1002-REC
           MOVE    "1002"              TO  SYS-1002-KANRICD
           MOVE    "*"                 TO  SYS-1002-KBNCD
           MOVE    SYS-1002-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-1002-REC
           ELSE
               INITIALIZE                  SYS-1002-REC
           END-IF
      *
           MOVE    SYS-1002-TEL    TO  WRK-HOSPTEL
      *
           .
       900-1002-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵ̾Խɤ߹
      *****************************************************************
       900-1901-READ-SEC           SECTION.
      *
      *    ŵ̾Խɤ߹
           MOVE    SPACE               TO  SYS-1901-REC
           INITIALIZE                      SYS-1901-REC
           MOVE    "1901"              TO  SYS-1901-KANRICD
           MOVE    SYS-1900-PRTKBN(18)
                                       TO  SYS-1901-KBNCD
           MOVE    SYS-1901-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-1901-REC
               MOVE    SYS-1901-HOSPNAME1  TO  WRK-HOSPNAME
           ELSE
               INITIALIZE                  SYS-1901-REC
           END-IF
      *
           .
       900-1901-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ŵؽԽɤ߹
      *****************************************************************
       900-1902-READ-SEC           SECTION.
      *
      *    ŵؽԽɤ߹
           MOVE    SPACE               TO  SYS-1902-REC
           INITIALIZE                      SYS-1902-REC
           MOVE    "1902"              TO  SYS-1902-KANRICD
           MOVE    SYS-1900-PRTKBN(18)
                                       TO  SYS-1902-KBNCD
           MOVE    SYS-1902-REC        TO  SYSKANRI-REC
           PERFORM 900-SYSKANRI-READ-SEC
           IF      FLG-SYSKANRI        =   ZERO
               MOVE    SYSKANRI-REC        TO  SYS-1902-REC
               MOVE    SYS-1902-TEL        TO  WRK-HOSPTEL
           ELSE
               INITIALIZE                  SYS-1902-REC
           END-IF
      *
           .
       900-1902-READ-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģɹϽ
      *****************************************************************
       910-DBSELECT-SEC            SECTION.
      *
           MOVE    "DBSELECT"      TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       910-DBSELECT-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģɹ
      *****************************************************************
       920-DBFETCH-SEC             SECTION.
      *
           MOVE    "DBFETCH"       TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       920-DBFETCH-EXT.
           EXIT.
      *
      *****************************************************************
      *    ģɹλ
      *****************************************************************
       930-DBCLOSE-SEC             SECTION.
      *
           MOVE    "DBCLOSECURSOR" TO  MCP-FUNC
           CALL    "ORCDBMAIN"         USING
                                       MCPAREA
                                       MCPDATA-REC
                                       SPA-AREA
      *
           .
       930-DBCLOSE-EXT.
           EXIT.
      *
